Lorene::Map_et Class Reference
Mapping grid -> physical space (spherical coordinates)

Radial mapping of rather general form. More...

`#include <map.h>`

Inheritance diagram for Lorene::Map_et:

## Public Member Functions

| Map_et (const Mg3d &mgrille, const double *r_limits)
| Standard Constructor.
| Map_et (const Mg3d &mgrille, const double *r_limits, const Tbl &tab)
| Constructor using the equation of the surface of the star.
| Map_et (const Map_et &)
| Copy constructor.
| Map_et (const Mg3d &, FILE *)
| Constructor from a file (see `sauve(FILE*)` ).
virtual | ~Map_et ()
| Destructor.
virtual void | operator= (const Map_et &mp)
| Assignment to another `Map_et`.
virtual void | operator= (const Map_af &mpa)
| Assignment to an affine mapping.
void | set_ff (const Valeur &)
| Assigns a given value to the function .
void | set_gg (const Valeur &)
| Assigns a given value to the function .
virtual const Map_af & | mp_angu (int) const
| Returns the "angular" mapping for the outside of domain `l_zone`.
const double * | get_alpha () const
| Returns a pointer on the array `alpha` (values of in each domain).
const double * | get_beta () const
| Returns a pointer on the array `beta` (values of in each domain).
const Valeur & | get_ff () const
| Returns a (constant) reference to the function .
const Valeur & | get_gg () const
| Returns a (constant) reference to the function .
virtual double | val_r (int l, double xi, double theta, double pphi) const
| Returns the value of the radial coordinate r for a given in a given domain.
virtual void | val_lx (double rr, double theta, double pphi, int &l, double &xi) const
| Computes the domain index l and the value of corresponding to a point given by its physical coordinates .
virtual void | val_lx (double rr, double theta, double pphi, const Param &par, int &l, double &xi) const
| Computes the domain index l and the value of corresponding to a point given by its physical coordinates .
virtual bool | operator== (const Map &) const
| Comparison operator (egality).
virtual double | val_r_jk (int l, double xi, int j, int k) const
| Returns the value of the radial coordinate r for a given and a given collocation point in in a given domain.
virtual void | val_lx_jk (double rr, int j, int k, const Param &par, int &l, double &xi) const
| Computes the domain index l and the value of corresponding to a point of arbitrary r but collocation values of .
virtual void | sauve (FILE *) const
| Save in a file.
virtual void | homothetie (double lambda)
| Sets a new radial scale.
virtual void | resize (int l, double lambda)
| Rescales the outer boundary of one domain.
void | resize_extr (double lambda)
| Rescales the outer boundary of the outermost domain in the case of non-compactified external domain.
void | set_alpha (double alpha0, int l)
| Modifies the value of in domain no. l.
void | set_beta (double beta0, int l)
| Modifies the value of in domain no. l.
virtual void | adapt (const Cmp &ent, const Param &par, int nbr_filtre=0)
| Adaptation of the mapping to a given scalar field.
virtual void | dsdxi (const Cmp &ci, Cmp &resu) const
| Computes of a `Cmp`.
virtual void | dsdr (const Cmp &ci, Cmp &resu) const
| Computes of a `Cmp`.
virtual void | srdsdt (const Cmp &ci, Cmp &resu) const
| Computes of a `Cmp`.
virtual void | srstdsdp (const Cmp &ci, Cmp &resu) const
| Computes of a `Cmp`.
virtual void | dsdxi (const Scalar &uu, Scalar &resu) const
| Computes of a `Scalar`.
virtual void | dsdr (const Scalar &uu, Scalar &resu) const
| Computes of a `Scalar`.
virtual void | dsdradial (const Scalar &uu, Scalar &resu) const
| Computes of a `Scalar` if the description is affine and if it is logarithmic.
virtual void | srdsdt (const Scalar &uu, Scalar &resu) const
| Computes of a `Scalar`.
virtual void | srstdsdp (const Scalar &uu, Scalar &resu) const
| Computes of a `Scalar`.
virtual void | dsdt (const Scalar &uu, Scalar &resu) const
| Computes of a `Scalar`.
virtual void | stdsdp (const Scalar &uu, Scalar &resu) const
| Computes of a `Scalar`.
virtual void | laplacien (const Scalar &uu, int zec_mult_r, Scalar &lap) const
| Computes the Laplacian of a scalar field.
virtual void | laplacien (const Cmp &uu, int zec_mult_r, Cmp &lap) const
| Computes the Laplacian of a scalar field (`Cmp` version).
virtual void | lapang (const Scalar &uu, Scalar &lap) const
| Computes the angular Laplacian of a scalar field.
virtual void | primr (const Scalar &uu, Scalar &resu, bool null_infty) const
| Computes the radial primitive which vanishes for .
virtual Tbl * | integrale (const Cmp &) const
| Computes the integral over all space of a `Cmp`.
virtual void | poisson (const Cmp &source, Param &par, Cmp &uu) const
| Computes the solution of a scalar Poisson equation.
virtual void | poisson_tau (const Cmp &source, Param &par, Cmp &uu) const
| Computes the solution of a scalar Poisson equation with a Tau method.
virtual void | poisson_falloff (const Cmp &source, Param &par, Cmp &uu, int k_falloff) const
virtual void | poisson_ylm (const Cmp &source, Param &par, Cmp &uu, int nylm, double *intvec) const
virtual void | poisson_regular (const Cmp &source, int k_div, int nzet, double unsgam1, Param &par, Cmp &uu, Cmp &uu_regu, Cmp &uu_div, Tenseur &duu_div, Cmp &source_regu, Cmp &source_div) const
| Computes the solution of a scalar Poisson equation.
virtual void | poisson_angu (const Scalar &source, Param &par, Scalar &uu, double lambda=0) const
| Computes the solution of the generalized angular Poisson equation.
virtual Param * | donne_para_poisson_vect (Param &para, int i) const
| Internal function intended to be used by `Map::poisson_vect` and `Map::poisson_vect_oohara` .
virtual void | poisson_frontiere (const Cmp &, const Valeur &, int, int, Cmp &, double=0., double=0.) const
| Not yet implemented.
virtual void | poisson_frontiere_double (const Cmp &source, const Valeur &lim_func, const Valeur &lim_der, int num_zone, Cmp &pot) const
virtual void | poisson_interne (const Cmp &source, const Valeur &limite, Param &par, Cmp &pot) const
| Computes the solution of a Poisson equation in the shell .
virtual void | poisson2d (const Cmp &source_mat, const Cmp &source_quad, Param &par, Cmp &uu) const
| Computes the solution of a 2-D Poisson equation.
virtual void | dalembert (Param &par, Scalar &fJp1, const Scalar &fJ, const Scalar &fJm1, const Scalar &source) const
| Not yet implemented.
virtual void | reevaluate (const Map *mp_prev, int nzet, Cmp &uu) const
| Recomputes the values of a `Cmp` at the collocation points after a change in the mapping.
virtual void | reevaluate (const Map *mp_prev, int nzet, Scalar &uu) const
| Recomputes the values of a `Scalar` at the collocation points after a change in the mapping.
virtual void | reevaluate_symy (const Map *mp_prev, int nzet, Cmp &uu) const
| Recomputes the values of a `Cmp` at the collocation points after a change in the mapping.
virtual void | reevaluate_symy (const Map *mp_prev, int nzet, Scalar &uu) const
| Recomputes the values of a `Scalar` at the collocation points after a change in the mapping.
virtual void | mult_r (Scalar &uu) const
| Multiplication by r of a `Scalar`, the `dzpuis` of `uu` is not changed.
virtual void | mult_r (Cmp &ci) const
| Multiplication by r of a `Cmp`.
virtual void | mult_r_zec (Scalar &) const
| Multiplication by r (in the compactified external domain only) of a `Scalar`.
virtual void | mult_rsint (Scalar &) const
| Multiplication by of a `Scalar`.
virtual void | div_rsint (Scalar &) const
| Division by of a `Scalar`.
virtual void | div_r (Scalar &) const
| Division by r of a `Scalar`.
virtual void | div_r_zec (Scalar &) const
| Division by r (in the compactified external domain only) of a `Scalar`.
virtual void | mult_cost (Scalar &) const
| Multiplication by of a `Scalar`.
virtual void | div_cost (Scalar &) const
| Division by of a `Scalar`.
virtual void | mult_sint (Scalar &) const
| Multiplication by of a `Scalar`.
virtual void | div_sint (Scalar &) const
| Division by of a `Scalar`.
virtual void | div_tant (Scalar &) const
| Division by of a `Scalar`.
virtual void | comp_x_from_spherical (const Scalar &v_r, const Scalar &v_theta, const Scalar &v_phi, Scalar &v_x) const
| Computes the Cartesian x component (with respect to `bvect_cart`) of a vector given by its spherical components with respect to `bvect_spher`.
virtual void | comp_x_from_spherical (const Cmp &v_r, const Cmp &v_theta, const Cmp &v_phi, Cmp &v_x) const
| `Cmp` version
virtual void | comp_y_from_spherical (const Scalar &v_r, const Scalar &v_theta, const Scalar &v_phi, Scalar &v_y) const
| Computes the Cartesian y component (with respect to `bvect_cart` ) of a vector given by its spherical components with respect to `bvect_spher` .
virtual void | comp_y_from_spherical (const Cmp &v_r, const Cmp &v_theta, const Cmp &v_phi, Cmp &v_y) const
| `Cmp` version
virtual void | comp_z_from_spherical (const Scalar &v_r, const Scalar &v_theta, Scalar &v_z) const
| Computes the Cartesian z component (with respect to `bvect_cart` ) of a vector given by its spherical components with respect to `bvect_spher` .
virtual void | comp_z_from_spherical (const Cmp &v_r, const Cmp &v_theta, Cmp &v_z) const
| `Cmp` version
virtual void | comp_r_from_cartesian (const Scalar &v_x, const Scalar &v_y, const Scalar &v_z, Scalar &v_r) const
| Computes the Spherical r component (with respect to `bvect_spher` ) of a vector given by its cartesian components with respect to `bvect_cart` .
virtual void | comp_r_from_cartesian (const Cmp &v_x, const Cmp &v_y, const Cmp &v_z, Cmp &v_r) const
| `Cmp` version
virtual void | comp_t_from_cartesian (const Scalar &v_x, const Scalar &v_y, const Scalar &v_z, Scalar &v_t) const
| Computes the Spherical component (with respect to `bvect_spher` ) of a vector given by its cartesian components with respect to `bvect_cart` .
virtual void | comp_t_from_cartesian (const Cmp &v_x, const Cmp &v_y, const Cmp &v_z, Cmp &v_t) const
| `Cmp` version
virtual void | comp_p_from_cartesian (const Scalar &v_x, const Scalar &v_y, Scalar &v_p) const
| Computes the Spherical component (with respect to `bvect_spher` ) of a vector given by its cartesian components with respect to `bvect_cart` .
virtual void | comp_p_from_cartesian (const Cmp &v_x, const Cmp &v_y, Cmp &v_p) const
| `Cmp` version
virtual void | dec_dzpuis (Scalar &) const
| Decreases by 1 the value of `dzpuis` of a `Scalar` and changes accordingly its values in the compactified external domain (CED).
virtual void | dec2_dzpuis (Scalar &) const
| Decreases by 2 the value of `dzpuis` of a `Scalar` and changes accordingly its values in the compactified external domain (CED).
virtual void | inc_dzpuis (Scalar &) const
| Increases by 1 the value of `dzpuis` of a `Scalar` and changes accordingly its values in the compactified external domain (CED).
virtual void | inc2_dzpuis (Scalar &) const
| Increases by 2 the value of `dzpuis` of a `Scalar` and changes accordingly its values in the compactified external domain (CED).
virtual void | poisson_compact (const Cmp &source, const Cmp &aa, const Tenseur &bb, const Param &par, Cmp &psi) const
| Resolution of the elliptic equation in the case where the stellar interior is covered by a single domain.
virtual void | poisson_compact (int nzet, const Cmp &source, const Cmp &aa, const Tenseur &bb, const Param &par, Cmp &psi) const
| Resolution of the elliptic equation in the case of a multidomain stellar interior.

## Public Attributes

Coord | rsxdxdr
| in the nucleus; \ in the shells; \ in the outermost compactified domain.
Coord | rsx2drdx
| in the nucleus and the shells; \ in the outermost compactified domain.
Coord | xsr
| in the nucleus; \ 1/R in the non-compactified shells; \ in the compactified outer domain.
Coord | dxdr
| in the nucleus and in the non-compactified shells; \ in the compactified outer domain.
Coord | drdt
| in the nucleus and in the non-compactified shells; \ in the compactified external domain (CED).
Coord | stdrdp
| in the nucleus and in the non-compactified shells; \ in the compactified external domain (CED).
Coord | srdrdt
| in the nucleus and in the non-compactified shells; \ in the compactified outer domain.
Coord | srstdrdp
| in the nucleus and in the non-compactified shells; \ in the compactified outer domain.
Coord | sr2drdt
| in the nucleus and in the non-compactified shells; \ in the compactified outer domain.
Coord | sr2stdrdp
| in the nucleus and in the non-compactified shells; \ in the compactified outer domain.
Coord | d2rdx2
| in the nucleus and in the non-compactified shells; \ in the compactified outer domain.
Coord | lapr_tp
| in the nucleus and in the non-compactified shells; \ in the compactified outer domain.
Coord | d2rdtdx
| in the nucleus and in the non-compactified shells; \ in the compactified outer domain.
Coord | sstd2rdpdx
| in the nucleus and in the non-compactified shells; \ in the compactified outer domain.
Coord | sr2d2rdt2
| in the nucleus and in the non-compactified shells; \ in the compactified outer domain.

## Protected Member Functions

virtual void | reset_coord ()
| Resets all the member `Coords`.

## Private Member Functions

void | set_coord ()
| Assignement of the building functions to the member `Coords`.
void | fait_poly ()
| Construction of the polynomials and .
virtual ostream & | operator>> (ostream &) const
| Operator >>.

## Private Attributes

double * | alpha
| Array (size: `mg->nzone` ) of the values of in each domain.
double * | beta
| Array (size: `mg->nzone` ) of the values of in each domain.
Tbl ** | aa
| Array (size: `mg->nzone` ) of `Tbl` which stores the values of in each domain.
Tbl ** | daa
| Array (size: `mg->nzone` ) of `Tbl` which stores the values of in each domain.
Tbl ** | ddaa
| Array (size: `mg->nzone` ) of `Tbl` which stores the values of in each domain.
Tbl | aasx
| Values at the `nr` collocation points of in the nucleus.
Tbl | aasx2
| Values at the `nr` collocation points of in the nucleus.
Tbl | zaasx
| Values at the `nr` collocation points of in the outermost compactified domain.
Tbl | zaasx2
| Values at the `nr` collocation points of in the outermost compactified domain.
Tbl ** | bb
| Array (size: `mg->nzone` ) of `Tbl` which stores the values of in each domain.
Tbl ** | dbb
| Array (size: `mg->nzone` ) of `Tbl` which stores the values of in each domain.
Tbl ** | ddbb
| Array (size: `mg->nzone` ) of `Tbl` which stores the values of in each domain.
Tbl | bbsx
| Values at the `nr` collocation points of in the nucleus.
Tbl | bbsx2
| Values at the `nr` collocation points of in the nucleus.
Valeur | ff
| Values of the function at the `nt*np` angular collocation points in each domain.
Valeur | gg
| Values of the function at the `nt*np` angular collocation points in each domain.

## Friends

Mtbl * | map_et_fait_r (const Map *cvi)
Mtbl * | map_et_fait_tet (const Map *cvi)
Mtbl * | map_et_fait_phi (const Map *cvi)
Mtbl * | map_et_fait_sint (const Map *cvi)
Mtbl * | map_et_fait_cost (const Map *cvi)
Mtbl * | map_et_fait_sinp (const Map *cvi)
Mtbl * | map_et_fait_cosp (const Map *cvi)
Mtbl * | map_et_fait_x (const Map *cvi)
Mtbl * | map_et_fait_y (const Map *cvi)
Mtbl * | map_et_fait_z (const Map *cvi)
Mtbl * | map_et_fait_xa (const Map *cvi)
Mtbl * | map_et_fait_ya (const Map *cvi)
Mtbl * | map_et_fait_za (const Map *cvi)
Mtbl * | map_et_fait_xsr (const Map *cvi)
Mtbl * | map_et_fait_dxdr (const Map *cvi)
Mtbl * | map_et_fait_drdt (const Map *cvi)
Mtbl * | map_et_fait_stdrdp (const Map *cvi)
Mtbl * | map_et_fait_srdrdt (const Map *cvi)
Mtbl * | map_et_fait_srstdrdp (const Map *cvi)
Mtbl * | map_et_fait_sr2drdt (const Map *cvi)
Mtbl * | map_et_fait_sr2stdrdp (const Map *cvi)
Mtbl * | map_et_fait_d2rdx2 (const Map *cvi)
Mtbl * | map_et_fait_lapr_tp (const Map *cvi)
Mtbl * | map_et_fait_d2rdtdx (const Map *cvi)
Mtbl * | map_et_fait_sstd2rdpdx (const Map *cvi)
Mtbl * | map_et_fait_sr2d2rdt2 (const Map *cvi)
Mtbl * | map_et_fait_rsxdxdr (const Map *cvi)
Mtbl * | map_et_fait_rsx2drdx (const Map *cvi)

## Detailed Description

Radial mapping of rather general form.

()

This mapping relates the grid coordinates and the physical coordinates in the following manner [see Bonazzola, Gourgoulhon & Marck, Phys. Rev. D 58 , 104020 (1998) for details]: , and

- in non-compactified domains,
- in the (usually outermost) compactified domain, where and are constant in each domain, and are constant polynomials defined by
- and in the nucleus (innermost domain which contains r =0);
- and in the other domains. The functions and depend on the domain under consideration and define the boundaries of this domain.

Definition at line 2752 of file map.h.

## Constructor & Destructor Documentation

## Map_et() [1/4]

Lorene::Map_et::Map_et | ( | const Mg3d & | mgrille,
|  | const double * | r_limits )

Standard Constructor.

Parameters

  mgrille | [input] Multi-domain grid on which the mapping is defined

  r_limits

  [input] Array (size: number of domains + 1) of the value of r at the boundaries of the various domains :
  - `r_limits`[l] : inner boundary of the domain no. `l`
  - `r_limits`[l+1] : outer boundary of the domain no. `l`

Definition at line 149 of file map_et.C.

References aasx, aasx2, alpha, bbsx, bbsx2, beta, fait_poly(), ff, gg, Lorene::Map_radial::Map_radial(), set_coord(), zaasx, and zaasx2.

## Map_et() [2/4]

Lorene::Map_et::Map_et | ( | const Mg3d & | mgrille,
|  | const double * | r_limits,
|  | const Tbl & | tab )

Constructor using the equation of the surface of the star.

Parameters

  mgrille | [input] Multi-domain grid on which the mapping is defined It must contains at least one shell.

  r_limits

  [input] Array (size: number of domains + 1) of the value of r at the boundaries of the various domains :
  - `r_limits`[l] : inner boundary of the domain no. `l`
  - `r_limits`[l+1] : outer boundary of the domain no. `l` The first value is not used.

  tab | [input] equation of the surface between the nucleus and the first shell in the form : , where and are the values of the angular colocation points.

Definition at line 223 of file map_et.C.

References aasx, aasx2, alpha, bbsx, bbsx2, beta, fait_poly(), ff, get_alpha(), Lorene::Base_val::get_base_p(), get_beta(), Lorene::Tbl::get_dim(), Lorene::Tbl::get_ndim(), Lorene::Mg3d::get_np(), Lorene::Mg3d::get_nt(), Lorene::Mg3d::get_nzone(), gg, Map_et(), Lorene::Map_radial::Map_radial(), Lorene::max(), Lorene::min(), P_COSSIN, Lorene::Tbl::set(), set_coord(), Lorene::Tbl::set_etat_qcq(), Lorene::Mg3d::std_base_scal(), zaasx, and zaasx2.

## Map_et() [3/4]

Lorene::Map_et::Map_et | ( | const Map_et & | mpi | ) |

Copy constructor.

Definition at line 388 of file map_et.C.

References aasx, aasx2, alpha, bbsx, bbsx2, beta, fait_poly(), ff, gg, Map_et(), Lorene::Map_radial::Map_radial(), set_coord(), zaasx, and zaasx2.

## Map_et() [4/4]

Lorene::Map_et::Map_et | ( | const Mg3d & | mgi,
|  | FILE * | fich )

Constructor from a file (see `sauve(FILE*)` ).

Definition at line 449 of file map_et.C.

References aasx, aasx2, alpha, bbsx, bbsx2, beta, fait_poly(), ff, Lorene::fread_be(), gg, Lorene::Map_radial::Map_radial(), set_coord(), zaasx, and zaasx2.

## ~Map_et()

Lorene::Map_et::~Map_et | ( |  | ) |

virtual

Destructor.

Definition at line 486 of file map_et.C.

References aa, alpha, bb, beta, daa, dbb, ddaa, and ddbb.

## Member Function Documentation

## adapt()

void Lorene::Map_et::adapt | ( | const Cmp & | ent,
|  | const Param & | par,
|  | int | nbr_filtre = 0 )

virtual

Adaptation of the mapping to a given scalar field.

Computes the functions and as well as the factors and , so that the boundaries of some domains coincide with isosurfaces of the scalar field `ent` .

Parameters

  ent | [input] scalar field, the isosurfaces of which are used to determine the mapping

  par

  [input/output] parameters of the computation: \ `par.get_int(0)` : maximum number of iterations to locate zeros by the secant method \ `par.get_int(1)` : number of domains where the adjustment to the isosurfaces of `ent` is to be performed \ `par.get_int(2)` : number of domains `nz_search` where the isosurfaces will be searched : the routine scans the `nz_search` innermost domains, starting from the domain of index `nz_search-1` . NB: the field `ent` must be continuous over these domains \ `par.get_int(3)` : 1 = performs the full computation, 0 = performs only the rescaling by the factor `par.get_double_mod(0)` \ `par.get_int(4)` : theta index of the collocation point [using the notations of Bonazzola, Gourgoulhon & Marck, Phys. Rev. D 58 , 104020 (1998)] defining an isosurface of `ent` \ `par.get_int(5)` : phi index of the collocation point [using the notations of Bonazzola, Gourgoulhon & Marck, Phys. Rev. D 58 , 104020 (1998)] defining an isosurface of `ent` \ `par.get_int_mod(0)` [output] : number of iterations actually used in the secant method \ `par.get_double(0)` : required absolute precision in the determination of zeros by the secant method \ `par.get_double(1)` : factor by which the values of and [using the notations of Bonazzola, Gourgoulhon & Marck, Phys. Rev. D 58 , 104020 (1998)] will be multiplied : 1 = regular mapping, 0 = contracting mapping \ `par.get_double(2)` : factor by which all the radial distances will be multiplied \ `par.get_tbl(0)` : array of values of the field `ent` to define the isosurfaces.

  nbr_filtre | [input] Number of the last coefficients in set to zero.

Definition at line 108 of file map_et_adapt.C.

References alpha, beta, ff, Lorene::Param::get_double(), Lorene::Itbl::get_etat(), Lorene::Tbl::get_etat(), Lorene::Param::get_int(), Lorene::Param::get_int_mod(), Lorene::Cmp::get_mp(), Lorene::Tbl::get_ndim(), Lorene::Tbl::get_taille(), Lorene::Param::get_tbl(), gg, homothetie(), Lorene::max(), Lorene::min(), MSQ_P, P_COSSIN, P_COSSIN_P, reset_coord(), Lorene::Mtbl::set_etat_qcq(), Lorene::Tbl::set_etat_qcq(), Lorene::Tbl::set_etat_zero(), Lorene::Itbl::t, Lorene::Mtbl::t, Lorene::Tbl::t, Lorene::Cmp::va, and val_r_jk().

## comp_p_from_cartesian() [1/2]

void Lorene::Map_radial::comp_p_from_cartesian | ( | const Cmp & | v_x,
|  | const Cmp & | v_y,
|  | Cmp & | v_p ) const

virtual inherited

`Cmp` version

Definition at line 176 of file map_radial_comp_rtp.C.

References comp_p_from_cartesian().

## comp_p_from_cartesian() [2/2]

void Lorene::Map_radial::comp_p_from_cartesian | ( | const Scalar & | v_x,
|  | const Scalar & | v_y,
|  | Scalar & | v_p ) const

virtual inherited

Computes the Spherical component (with respect to `bvect_spher` ) of a vector given by its cartesian components with respect to `bvect_cart` .

Parameters

  v_x | [input] x-component of the vector
  v_y | [input] y-component of the vector
  v_p | [output] -component of the vector

Definition at line 183 of file map_radial_comp_rtp.C.

References Lorene::Scalar::check_dzpuis(), Lorene::Scalar::dz_nonzero(), Lorene::Scalar::get_dzpuis(), Lorene::Scalar::get_etat(), Lorene::Tensor::get_mp(), Lorene::Scalar::get_spectral_va(), Lorene::Valeur::mult_cp(), Lorene::Valeur::mult_sp(), and Lorene::Scalar::set_dzpuis().

## comp_r_from_cartesian() [1/2]

void Lorene::Map_radial::comp_r_from_cartesian | ( | const Cmp & | v_x,
|  | const Cmp & | v_y,
|  | const Cmp & | v_z,
|  | Cmp & | v_r ) const

virtual inherited

`Cmp` version

Definition at line 65 of file map_radial_comp_rtp.C.

References comp_r_from_cartesian().

## comp_r_from_cartesian() [2/2]

void Lorene::Map_radial::comp_r_from_cartesian | ( | const Scalar & | v_x,
|  | const Scalar & | v_y,
|  | const Scalar & | v_z,
|  | Scalar & | v_r ) const

virtual inherited

Computes the Spherical r component (with respect to `bvect_spher` ) of a vector given by its cartesian components with respect to `bvect_cart` .

Parameters

  v_x | [input] x-component of the vector
  v_y | [input] y-component of the vector
  v_z | [input] z-component of the vector
  v_r | [output] r -component of the vector

Definition at line 72 of file map_radial_comp_rtp.C.

References Lorene::Scalar::check_dzpuis(), Lorene::Scalar::dz_nonzero(), Lorene::Scalar::get_dzpuis(), Lorene::Scalar::get_etat(), Lorene::Tensor::get_mp(), Lorene::Scalar::get_spectral_va(), Lorene::Valeur::mult_cp(), Lorene::Valeur::mult_ct(), Lorene::Valeur::mult_sp(), Lorene::Valeur::mult_st(), and Lorene::Scalar::set_dzpuis().

## comp_t_from_cartesian() [1/2]

void Lorene::Map_radial::comp_t_from_cartesian | ( | const Cmp & | v_x,
|  | const Cmp & | v_y,
|  | const Cmp & | v_z,
|  | Cmp & | v_t ) const

virtual inherited

`Cmp` version

Definition at line 121 of file map_radial_comp_rtp.C.

References comp_t_from_cartesian().

## comp_t_from_cartesian() [2/2]

void Lorene::Map_radial::comp_t_from_cartesian | ( | const Scalar & | v_x,
|  | const Scalar & | v_y,
|  | const Scalar & | v_z,
|  | Scalar & | v_t ) const

virtual inherited

Computes the Spherical component (with respect to `bvect_spher` ) of a vector given by its cartesian components with respect to `bvect_cart` .

Parameters

  v_x | [input] x-component of the vector
  v_y | [input] y-component of the vector
  v_z | [input] z-component of the vector
  v_t | [output] -component of the vector

Definition at line 128 of file map_radial_comp_rtp.C.

References Lorene::Scalar::check_dzpuis(), Lorene::Scalar::dz_nonzero(), Lorene::Scalar::get_dzpuis(), Lorene::Scalar::get_etat(), Lorene::Tensor::get_mp(), Lorene::Scalar::get_spectral_va(), Lorene::Valeur::mult_cp(), Lorene::Valeur::mult_ct(), Lorene::Valeur::mult_sp(), Lorene::Valeur::mult_st(), and Lorene::Scalar::set_dzpuis().

## comp_x_from_spherical() [1/2]

void Lorene::Map_radial::comp_x_from_spherical | ( | const Cmp & | v_r,
|  | const Cmp & | v_theta,
|  | const Cmp & | v_phi,
|  | Cmp & | v_x ) const

virtual inherited

`Cmp` version

Definition at line 68 of file map_radial_comp_xyz.C.

References comp_x_from_spherical().

## comp_x_from_spherical() [2/2]

void Lorene::Map_radial::comp_x_from_spherical | ( | const Scalar & | v_r,
|  | const Scalar & | v_theta,
|  | const Scalar & | v_phi,
|  | Scalar & | v_x ) const

virtual inherited

Computes the Cartesian x component (with respect to `bvect_cart`) of a vector given by its spherical components with respect to `bvect_spher`.

Parameters

  v_r | [input] r -component of the vector
  v_theta | [input] -component of the vector
  v_phi | [input] -component of the vector
  v_x | [output] x-component of the vector

Definition at line 76 of file map_radial_comp_xyz.C.

References Lorene::Scalar::check_dzpuis(), Lorene::Scalar::dz_nonzero(), Lorene::Scalar::get_dzpuis(), Lorene::Scalar::get_etat(), Lorene::Tensor::get_mp(), Lorene::Scalar::get_spectral_va(), Lorene::Valeur::mult_cp(), Lorene::Valeur::mult_ct(), Lorene::Valeur::mult_sp(), Lorene::Valeur::mult_st(), and Lorene::Scalar::set_dzpuis().

## comp_y_from_spherical() [1/2]

void Lorene::Map_radial::comp_y_from_spherical | ( | const Cmp & | v_r,
|  | const Cmp & | v_theta,
|  | const Cmp & | v_phi,
|  | Cmp & | v_y ) const

virtual inherited

`Cmp` version

Definition at line 126 of file map_radial_comp_xyz.C.

References comp_y_from_spherical().

## comp_y_from_spherical() [2/2]

void Lorene::Map_radial::comp_y_from_spherical | ( | const Scalar & | v_r,
|  | const Scalar & | v_theta,
|  | const Scalar & | v_phi,
|  | Scalar & | v_y ) const

virtual inherited

Computes the Cartesian y component (with respect to `bvect_cart` ) of a vector given by its spherical components with respect to `bvect_spher` .

Parameters

  v_r | [input] r -component of the vector
  v_theta | [input] -component of the vector
  v_phi | [input] -component of the vector
  v_y | [output] y-component of the vector

Definition at line 135 of file map_radial_comp_xyz.C.

References Lorene::Scalar::check_dzpuis(), Lorene::Scalar::dz_nonzero(), Lorene::Scalar::get_dzpuis(), Lorene::Scalar::get_etat(), Lorene::Tensor::get_mp(), Lorene::Scalar::get_spectral_va(), Lorene::Valeur::mult_cp(), Lorene::Valeur::mult_ct(), Lorene::Valeur::mult_sp(), Lorene::Valeur::mult_st(), and Lorene::Scalar::set_dzpuis().

## comp_z_from_spherical() [1/2]

void Lorene::Map_radial::comp_z_from_spherical | ( | const Cmp & | v_r,
|  | const Cmp & | v_theta,
|  | Cmp & | v_z ) const

virtual inherited

`Cmp` version

Definition at line 184 of file map_radial_comp_xyz.C.

References comp_z_from_spherical().

## comp_z_from_spherical() [2/2]

void Lorene::Map_radial::comp_z_from_spherical | ( | const Scalar & | v_r,
|  | const Scalar & | v_theta,
|  | Scalar & | v_z ) const

virtual inherited

Computes the Cartesian z component (with respect to `bvect_cart` ) of a vector given by its spherical components with respect to `bvect_spher` .

Parameters

  v_r | [input] r -component of the vector
  v_theta | [input] -component of the vector
  v_z | [output] z-component of the vector

Definition at line 192 of file map_radial_comp_xyz.C.

References Lorene::Scalar::check_dzpuis(), Lorene::Scalar::dz_nonzero(), Lorene::Scalar::get_dzpuis(), Lorene::Scalar::get_etat(), Lorene::Tensor::get_mp(), Lorene::Scalar::get_spectral_va(), Lorene::Valeur::mult_ct(), Lorene::Valeur::mult_st(), and Lorene::Scalar::set_dzpuis().

## dalembert()

void Lorene::Map_et::dalembert | ( | Param & | par,
|  | Scalar & | fJp1,
|  | const Scalar & | fJ,
|  | const Scalar & | fJm1,
|  | const Scalar & | source ) const

virtual

Not yet implemented.

Definition at line 69 of file map_et_dalembert.C.

References Lorene::Scalar::get_etat(), and Lorene::Tensor::get_mp().

## dec2_dzpuis()

void Lorene::Map_radial::dec2_dzpuis | ( | Scalar & | ci | ) | const

virtual inherited

Decreases by 2 the value of `dzpuis` of a `Scalar` and changes accordingly its values in the
compactified external domain (CED).

Definition at line 748 of file map_radial_r_manip.C.

References Lorene::Valeur::annule(), Lorene::Valeur::base, Lorene::Scalar::get_dzpuis(), Lorene::Scalar::get_etat(), Lorene::Valeur::get_mg(), Lorene::Valeur::mult2_xm1_zec(), Lorene::Scalar::set_dzpuis(), Lorene::Scalar::set_etat_qcq(), Lorene::Scalar::set_spectral_va(), and xsr.

## dec_dzpuis()

void Lorene::Map_radial::dec_dzpuis | ( | Scalar & | ci | ) | const

virtual inherited

Decreases by 1 the value of `dzpuis` of a `Scalar` and changes accordingly its values in the compactified external domain (CED).

Definition at line 643 of file map_radial_r_manip.C.

References Lorene::Valeur::annule(), Lorene::Valeur::base, Lorene::Scalar::get_dzpuis(), Lorene::Scalar::get_etat(), Lorene::Valeur::get_mg(), Lorene::Valeur::mult_xm1_zec(), Lorene::Scalar::set_dzpuis(), Lorene::Scalar::set_etat_qcq(), Lorene::Scalar::set_spectral_va(), and xsr.

## div_cost()

void Lorene::Map_radial::div_cost | ( | Scalar & | ci | ) | const

virtual inherited

Division by of a `Scalar`.

Definition at line 85 of file map_radial_th_manip.C.

References Lorene::Scalar::get_etat(), Lorene::Valeur::get_mg(), Lorene::Valeur::scost(), Lorene::Scalar::set_etat_qcq(), and Lorene::Scalar::set_spectral_va().

## div_r()

void Lorene::Map_radial::div_r | ( | Scalar & | ci | ) | const

virtual inherited

Division by r of a `Scalar`.

Definition at line 514 of file map_radial_r_manip.C.

References Lorene::Scalar::annule(), Lorene::Tensor::annule_domain(), Lorene::Valeur::base, Lorene::Scalar::get_etat(), Lorene::Valeur::get_mg(), Lorene::Valeur::mult_x(), Lorene::Scalar::set_etat_qcq(), Lorene::Scalar::set_spectral_va(), Lorene::Valeur::sx(), and xsr.

## div_r_zec()

void Lorene::Map_radial::div_r_zec | ( | Scalar & | uu | ) | const

virtual inherited

Division by r (in the compactified external domain only) of a `Scalar`.

Definition at line 585 of file map_radial_r_manip.C.

References Lorene::Valeur::annule(), Lorene::Valeur::base, Lorene::Scalar::get_etat(), Lorene::Valeur::get_mg(), Lorene::Scalar::get_spectral_va(), Lorene::Valeur::mult_xm1_zec(), Lorene::Scalar::set_etat_qcq(), Lorene::Scalar::set_spectral_va(), and xsr.

## div_rsint()

void Lorene::Map_radial::div_rsint | ( | Scalar & | ci | ) | const

virtual inherited

Division by of a `Scalar`.

Definition at line 434 of file map_radial_r_manip.C.

References Lorene::Scalar::annule(), Lorene::Tensor::annule_domain(), Lorene::Valeur::base, Lorene::Scalar::get_etat(), Lorene::Valeur::get_mg(), Lorene::Valeur::mult_x(), Lorene::Scalar::set_etat_qcq(), Lorene::Scalar::set_spectral_va(), Lorene::Valeur::ssint(), Lorene::Valeur::sx(), and xsr.

## div_sint()

void Lorene::Map_radial::div_sint | ( | Scalar & | ci | ) | const

virtual inherited

Division by of a `Scalar`.

Definition at line 133 of file map_radial_th_manip.C.

References Lorene::Scalar::get_etat(), Lorene::Valeur::get_mg(), Lorene::Scalar::set_etat_qcq(), Lorene::Scalar::set_spectral_va(), and Lorene::Valeur::ssint().

## div_tant()

void Lorene::Map_radial::div_tant | ( | Scalar & | ci | ) | const

virtual inherited

Division by of a `Scalar`.

Definition at line 158 of file map_radial_th_manip.C.

References Lorene::Scalar::get_etat(), Lorene::Valeur::get_mg(), Lorene::Valeur::mult_ct(), Lorene::Scalar::set_etat_qcq(), Lorene::Scalar::set_spectral_va(), and Lorene::Valeur::ssint().

## donne_para_poisson_vect()

Param * Lorene::Map_et::donne_para_poisson_vect | ( | Param & | para,
|  | int | i ) const

virtual

Internal function intended to be used by `Map::poisson_vect` and `Map::poisson_vect_oohara` .

It constructs the sets of parameters used for each scalar Poisson equation from the one for the vectorial one.

Parameters

  para | [input] : the `Param` used for the resolution of the vectorial Poisson equation : \ `para.int()` maximum number of iteration.\ `para.double(0)` relaxation parameter.\ `para.double(1)` required precision. \ `para.tenseur_mod()` source of the vectorial part at the previous step.\ `para.cmp_mod()` source of the scalar part at the previous step.
  i | [input] number of the scalar Poisson equation that is being solved (values from 0 to 2 for the componants of the vectorial part and 3 for the scalar one).

Returns
  the pointer on the parameter set used for solving the scalar Poisson equation labelled by i .

Definition at line 75 of file map_poisson_vect.C.

References Lorene::Param::add_cmp_mod(), Lorene::Param::add_double(), Lorene::Param::add_int(), Lorene::Param::add_int_mod(), Lorene::Param::get_cmp_mod(), Lorene::Param::get_double(), Lorene::Param::get_int(), Lorene::Param::get_int_mod(), Lorene::Param::get_tenseur_mod(), and Lorene::Tenseur::set().

## dsdr() [1/2]

void Lorene::Map_et::dsdr | ( | const Cmp & | ci,
|  | Cmp & | resu ) const

virtual

Computes of a `Cmp`.

Note that in the compactified external domain (CED), it computes .

Parameters

  ci | [input] field to consider
  resu | [output] derivative of `ci`

Definition at line 187 of file map_et_deriv.C.

References Lorene::Cmp::check_dzpuis(), Lorene::Map_radial::dxdr, Lorene::Cmp::get_etat(), Lorene::Cmp::get_mp(), Lorene::Cmp::set_dzpuis(), Lorene::Cmp::set_etat_zero(), and Lorene::Cmp::va.

## dsdr() [2/2]

void Lorene::Map_et::dsdr | ( | const Scalar & | uu,
|  | Scalar & | resu ) const

virtual

Computes of a `Scalar`.

Note that in the compactified external domain (CED), the `dzpuis` flag of the output is 2 if the input has `dzpuis` = 0, and is increased by 1 in other cases.

Parameters

  uu | [input] field to consider
  resu | [output] derivative of `uu`

Definition at line 215 of file map_et_deriv.C.

References Lorene::Valeur::annule(), Lorene::Tensor::annule_domain(), Lorene::Valeur::coef(), Lorene::Valeur::dsdx(), Lorene::Map_radial::dxdr, Lorene::Valeur::get_base(), Lorene::Scalar::get_dzpuis(), Lorene::Scalar::get_etat(), Lorene::Tensor::get_mp(), Lorene::Scalar::get_spectral_va(), Lorene::Valeur::mult_x(), Lorene::Valeur::set(), Lorene::Valeur::set_base(), Lorene::Scalar::set_dzpuis(), Lorene::Scalar::set_etat_zero(), Lorene::Scalar::set_spectral_base(), Lorene::Scalar::set_spectral_va(), and Lorene::Map_radial::xsr.

## dsdradial()

void Lorene::Map_et::dsdradial | ( | const Scalar & | uu,
|  | Scalar & | resu ) const

virtual

Computes of a `Scalar` if the description is affine and if it is logarithmic.

Note that in the compactified external domain (CED), the `dzpuis` flag of the output is 2 if the input has `dzpuis` = 0, and is increased by 1 in other cases.

Parameters

  uu | [input] field to consider
  resu | [output] derivative of `uu`

Definition at line 274 of file map_et_deriv.C.

References Lorene::Valeur::annule(), Lorene::Tensor::annule_domain(), Lorene::Valeur::coef(), Lorene::Valeur::dsdx(), Lorene::Map_radial::dxdr, Lorene::Valeur::get_base(), Lorene::Scalar::get_dzpuis(), Lorene::Scalar::get_etat(), Lorene::Tensor::get_mp(), Lorene::Scalar::get_spectral_va(), Lorene::Valeur::mult_x(), Lorene::Valeur::set(), Lorene::Valeur::set_base(), Lorene::Scalar::set_dzpuis(), Lorene::Scalar::set_etat_zero(), Lorene::Scalar::set_spectral_base(), Lorene::Scalar::set_spectral_va(), and Lorene::Map_radial::xsr.

## dsdt()

void Lorene::Map_et::dsdt | ( | const Scalar & | uu,
|  | Scalar & | resu ) const

virtual

Computes of a `Scalar`.

Parameters

  uu | [input] scalar field
  resu | [output] derivative of `uu`

Definition at line 629 of file map_et_deriv.C.

References Lorene::Map_radial::drdt, Lorene::Valeur::dsdt(), Lorene::Valeur::dsdx(), Lorene::Map_radial::dxdr, Lorene::Valeur::get_base(), Lorene::Scalar::get_etat(), Lorene::Tensor::get_mp(), Lorene::Scalar::get_spectral_va(), Lorene::Valeur::set_base(), and Lorene::Scalar::set_etat_zero().

## dsdxi() [1/2]

void Lorene::Map_et::dsdxi | ( | const Cmp & | ci,
|  | Cmp & | resu ) const

virtual

Computes of a `Cmp`.

Note that in the compactified external domain (CED), it computes .

Parameters

  ci | [input] field to consider
  resu | [output] derivative of `ci`

Definition at line 95 of file map_et_deriv.C.

References Lorene::Cmp::check_dzpuis(), Lorene::Cmp::dsdx(), Lorene::Cmp::get_etat(), Lorene::Cmp::get_mp(), Lorene::Cmp::set_dzpuis(), Lorene::Cmp::set_etat_zero(), and Lorene::Cmp::va.

## dsdxi() [2/2]

void Lorene::Map_et::dsdxi | ( | const Scalar & | uu,
|  | Scalar & | resu ) const

virtual

Computes of a `Scalar`.

Note that in the compactified external domain (CED), the `dzpuis` flag of the output is 2 if the input has `dzpuis` = 0, and is increased by 1 in other cases.

Parameters

  uu | [input] field to consider
  resu | [output] derivative of `uu`

Definition at line 123 of file map_et_deriv.C.

References Lorene::Valeur::annule(), Lorene::Tensor::annule_domain(), Lorene::Valeur::coef(), Lorene::Valeur::dsdx(), Lorene::Valeur::get_base(), Lorene::Scalar::get_dzpuis(), Lorene::Scalar::get_etat(), Lorene::Tensor::get_mp(), Lorene::Scalar::get_spectral_va(), Lorene::Valeur::mult_x(), Lorene::Valeur::set(), Lorene::Valeur::set_base(), Lorene::Scalar::set_dzpuis(), Lorene::Scalar::set_etat_zero(), Lorene::Scalar::set_spectral_base(), Lorene::Scalar::set_spectral_va(), and Lorene::Map_radial::xsr.

## fait_poly()

void Lorene::Map_et::fait_poly | ( |  | ) |

private

Construction of the polynomials and .

Definition at line 645 of file map_et.C.

References aa, aasx, aasx2, bb, bbsx, bbsx2, daa, dbb, ddaa, ddbb, zaasx, and zaasx2.

## get_alpha()

const double * Lorene::Map_et::get_alpha | ( |  | ) | const

Returns a pointer on the array `alpha` (values of in each domain).

Definition at line 1026 of file map_et.C.

References alpha.

## get_beta()

const double * Lorene::Map_et::get_beta | ( |  | ) | const

Returns a pointer on the array `beta` (values of in each domain).

Definition at line 1030 of file map_et.C.

References beta.

## get_ff()

const Valeur & Lorene::Map_et::get_ff | ( |  | ) | const

Returns a (constant) reference to the function .

Definition at line 1034 of file map_et.C.

References ff.

## get_gg()

const Valeur & Lorene::Map_et::get_gg | ( |  | ) | const

Returns a (constant) reference to the function .

Definition at line 1038 of file map_et.C.

References gg.

## homothetie()

void Lorene::Map_et::homothetie | ( | double | lambda | ) |

virtual

Sets a new radial scale.

Parameters

  lambda | [input] factor by which the value of r is to be multiplied

Definition at line 905 of file map_et.C.

References alpha, beta, and reset_coord().

## inc2_dzpuis()

void Lorene::Map_radial::inc2_dzpuis | ( | Scalar & | ci | ) | const

virtual inherited

Increases by 2 the value of `dzpuis` of a `Scalar` and changes accordingly its values in the
compactified external domain (CED).

Definition at line 799 of file map_radial_r_manip.C.

References Lorene::Valeur::annule(), Lorene::Valeur::base, Lorene::Scalar::get_dzpuis(), Lorene::Scalar::get_etat(), Lorene::Valeur::get_mg(), Lorene::Scalar::set_dzpuis(), Lorene::Scalar::set_etat_qcq(), Lorene::Scalar::set_spectral_va(), Lorene::Valeur::sxm1_zec(), and xsr.

## inc_dzpuis()

void Lorene::Map_radial::inc_dzpuis | ( | Scalar & | ci | ) | const

virtual inherited

Increases by 1 the value of `dzpuis` of a `Scalar` and changes accordingly its values in the
compactified external domain (CED).

Definition at line 696 of file map_radial_r_manip.C.

References Lorene::Valeur::annule(), Lorene::Valeur::base, Lorene::Scalar::get_dzpuis(), Lorene::Scalar::get_etat(), Lorene::Valeur::get_mg(), Lorene::Scalar::set_dzpuis(), Lorene::Scalar::set_etat_qcq(), Lorene::Scalar::set_spectral_va(), Lorene::Valeur::sxm1_zec(), and xsr.

## integrale()

Tbl * Lorene::Map_et::integrale | ( | const Cmp & | ci | ) | const

virtual

Computes the integral over all space of a `Cmp`.

The computed quantity is . The routine allocates a `Tbl` (size: `mg->nzone` ) to store the result (partial integral) in each domain and returns a pointer to it.

Definition at line 74 of file map_et_integ.C.

References Lorene::Tbl::annule_hard(), Lorene::Cmp::get_dzpuis(), Lorene::Cmp::get_etat(), Lorene::Map_af::integrale(), rsx2drdx, Lorene::Cmp::set_dzpuis(), and Lorene::Cmp::va.

## lapang()

void Lorene::Map_et::lapang | ( | const Scalar & | uu,
|  | Scalar & | lap ) const

virtual

Computes the angular Laplacian of a scalar field.

Parameters

  uu | [input] Scalar field u (represented as a `Scalar`) the Laplacian of which is to be computed
  lap | [output] Angular Laplacian of u (see documentation of `Scalar`

Definition at line 283 of file map_et_lap.C.

## laplacien() [1/2]

void Lorene::Map_et::laplacien | ( | const Cmp & | uu,
|  | int | zec_mult_r,
|  | Cmp & | lap ) const

virtual

Computes the Laplacian of a scalar field (`Cmp` version).

Definition at line 180 of file map_et_lap.C.

References Lorene::Valeur::annule(), Lorene::Valeur::base, Lorene::Cmp::check_dzpuis(), Lorene::Map_radial::d2rdtdx, Lorene::Map_radial::d2rdx2, Lorene::Valeur::dsdt(), Lorene::Map_radial::dxdr, Lorene::Cmp::get_etat(), Lorene::get_mg(), Lorene::Cmp::get_mp(), Lorene::Mg3d::get_nzone(), Lorene::Valeur::lapang(), Lorene::Map_radial::lapr_tp, Lorene::Valeur::set_base(), Lorene::Cmp::set_dzpuis(), Lorene::Cmp::set_etat_qcq(), Lorene::Cmp::set_etat_zero(), Lorene::Map_radial::sr2drdt, Lorene::Map_radial::sr2stdrdp, Lorene::Map_radial::srdrdt, Lorene::Map_radial::srstdrdp, Lorene::Map_radial::sstd2rdpdx, Lorene::Valeur::stdsdp(), Lorene::Valeur::sx(), Lorene::Cmp::va, Lorene::Map_radial::xsr, and Lorene::Valeur::ylm().

## laplacien() [2/2]

void Lorene::Map_et::laplacien | ( | const Scalar & | uu,
|  | int | zec_mult_r,
|  | Scalar & | lap ) const

virtual

Computes the Laplacian of a scalar field.

Parameters

  uu | [input] Scalar field u (represented as a `Scalar` ) the Laplacian of which is to be computed
  zec_mult_r | [input] Determines the quantity computed in the compactified external domain (CED) : \ zec_mult_r = 0 : \ zec_mult_r = 2 : \ zec_mult_r = 4 (default) :
  lap | [output] Laplacian of u

Definition at line 75 of file map_et_lap.C.

References Lorene::Valeur::annule(), Lorene::Valeur::base, Lorene::Scalar::check_dzpuis(), Lorene::Map_radial::d2rdtdx, Lorene::Map_radial::d2rdx2, Lorene::Valeur::d2sdx2(), Lorene::Valeur::dsdt(), Lorene::Valeur::dsdx(), Lorene::Map_radial::dxdr, Lorene::Scalar::get_etat(), Lorene::get_mg(), Lorene::Tensor::get_mp(), Lorene::Mg3d::get_nzone(), Lorene::Scalar::get_spectral_va(), Lorene::Valeur::lapang(), Lorene::Map_radial::lapr_tp, Lorene::Valeur::set_base(), Lorene::Scalar::set_dzpuis(), Lorene::Scalar::set_etat_qcq(), Lorene::Scalar::set_etat_zero(), Lorene::Scalar::set_spectral_va(), Lorene::Map_radial::sr2drdt, Lorene::Map_radial::sr2stdrdp, Lorene::Map_radial::srdrdt, Lorene::Map_radial::srstdrdp, Lorene::Map_radial::sstd2rdpdx, Lorene::Valeur::stdsdp(), Lorene::Valeur::sx(), Lorene::Map_radial::xsr, and Lorene::Valeur::ylm().

## mp_angu()

const Map_af & Lorene::Map_et::mp_angu | ( | int |  | ) | const

virtual

Returns the "angular" mapping for the outside of domain `l_zone`.

Valid only for the class `Map_af`.

Definition at line 1045 of file map_et.C.

References Lorene::c_est_pas_fait(), and Lorene::p_mp_angu.

## mult_cost()

void Lorene::Map_radial::mult_cost | ( | Scalar & | ci | ) | const

virtual inherited

Multiplication by of a `Scalar`.

Definition at line 61 of file map_radial_th_manip.C.

References Lorene::Scalar::get_etat(), Lorene::Valeur::get_mg(), Lorene::Valeur::mult_ct(), Lorene::Scalar::set_etat_qcq(), and Lorene::Scalar::set_spectral_va().

## mult_r() [1/2]

void Lorene::Map_radial::mult_r | ( | Cmp & | ci | ) | const

virtual inherited

Multiplication by r of a `Cmp`.

In the CED, there is only a decrement of `dzpuis`

Definition at line 219 of file map_radial_r_manip.C.

References Lorene::Cmp::annule(), Lorene::Valeur::base, Lorene::Cmp::get_dzpuis(), Lorene::Cmp::get_etat(), Lorene::Valeur::get_mg(), Lorene::Valeur::mult_x(), Lorene::Cmp::set_dzpuis(), Lorene::Cmp::va, and xsr.

## mult_r() [2/2]

void Lorene::Map_radial::mult_r | ( | Scalar & | uu | ) | const

virtual inherited

Multiplication by r of a `Scalar`, the `dzpuis`
of `uu` is not changed.

Definition at line 144 of file map_radial_r_manip.C.

References Lorene::Scalar::annule(), Lorene::Tensor::annule_domain(), Lorene::Valeur::base, Lorene::Scalar::get_etat(), Lorene::Valeur::get_mg(), Lorene::Valeur::mult_x(), Lorene::Scalar::set_etat_qcq(), Lorene::Scalar::set_spectral_va(), Lorene::Valeur::sxm1_zec(), and xsr.

## mult_r_zec()

void Lorene::Map_radial::mult_r_zec | ( | Scalar & | ci | ) | const

virtual inherited

Multiplication by r (in the compactified external domain only) of a `Scalar`.

Definition at line 296 of file map_radial_r_manip.C.

References Lorene::Valeur::annule(), Lorene::Valeur::base, Lorene::Scalar::get_etat(), Lorene::Valeur::get_mg(), Lorene::Scalar::set_etat_qcq(), Lorene::Scalar::set_spectral_va(), Lorene::Valeur::sxm1_zec(), and xsr.

## mult_rsint()

void Lorene::Map_radial::mult_rsint | ( | Scalar & | ci | ) | const

virtual inherited

Multiplication by of a `Scalar`.

Definition at line 355 of file map_radial_r_manip.C.

References Lorene::Scalar::annule(), Lorene::Tensor::annule_domain(), Lorene::Valeur::base, Lorene::Scalar::get_etat(), Lorene::Valeur::get_mg(), Lorene::Valeur::mult_st(), Lorene::Valeur::mult_x(), Lorene::Scalar::set_etat_qcq(), Lorene::Scalar::set_spectral_va(), Lorene::Valeur::sxm1_zec(), and xsr.

## mult_sint()

void Lorene::Map_radial::mult_sint | ( | Scalar & | ci | ) | const

virtual inherited

Multiplication by of a `Scalar`.

Definition at line 109 of file map_radial_th_manip.C.

References Lorene::Scalar::get_etat(), Lorene::Valeur::get_mg(), Lorene::Valeur::mult_st(), Lorene::Scalar::set_etat_qcq(), and Lorene::Scalar::set_spectral_va().

## operator=() [1/2]

void Lorene::Map_et::operator= | ( | const Map_af & | mpa | ) |

virtual

Assignment to an affine mapping.

Implements Lorene::Map_radial.

Definition at line 539 of file map_et.C.

References alpha, beta, ff, Lorene::Map_af::get_alpha(), Lorene::Map_af::get_beta(), gg, reset_coord(), Lorene::set_ori(), and Lorene::set_rot_phi().

## operator=() [2/2]

void Lorene::Map_et::operator= | ( | const Map_et & | mp | ) |

virtual

Assignment to another `Map_et`.

Definition at line 513 of file map_et.C.

References alpha, beta, ff, get_alpha(), get_beta(), gg, Map_et(), reset_coord(), Lorene::set_ori(), and Lorene::set_rot_phi().

## operator==()

bool Lorene::Map_et::operator== | ( | const Map & | mpi | ) | const

virtual

Comparison operator (egality).

Implements Lorene::Map_radial.

Definition at line 984 of file map_et.C.

References alpha, beta, Lorene::bvect_cart, Lorene::bvect_spher, Lorene::diffrelmax(), ff, gg, Lorene::Map(), Map_et(), and Lorene::max().

## operator>>()

ostream & Lorene::Map_et::operator>> | ( | ostream & | ost | ) | const

private virtual

Operator >>.

Definition at line 798 of file map_et.C.

References alpha, beta, ff, gg, Lorene::r, and val_r().

## poisson()

void Lorene::Map_et::poisson | ( | const Cmp & | source,
|  | Param & | par,
|  | Cmp & | uu ) const

virtual

Computes the solution of a scalar Poisson equation.

Following the method explained in Sect. III.C of Bonazzola, Gourgoulhon & Marck, Phys. Rev. D 58 , 104020 (1998),
the Poisson equation is re-written as , where is the Laplacian in an affine mapping and R(u) contains the terms generated by the deviation of the mapping `*this` from spherical symmetry. This equation is solved by iterations. At each step J the equation effectively solved is where

with in domain no. l and is a relaxation parameter.

Parameters

  source | [input] source of the Poisson equation

  par

  [input/output] parameters for the iterative method: \ `par.get_int(0)` : [input] maximum number of iterations \ `par.get_double(0)` : [input] relaxation parameter \ `par.get_double(1)` : [input] required precision: the iterative method is stopped as soon as the relative difference between and is greater than `par.get_double(1)` \ `par.get_cmp_mod(0)` : [input/output] input : `Cmp` containing (cf. the above equation) to start the iteration (if nothing is known a priori, this `Cmp` must be set to zero); output: value of , to used in a next call to the routine \ `par.get_int_mod(0)` : [output] number of iterations actually used to get the solution.

  uu | [input/output] input : previously computed value of u to start the iteration (term R(u) ) (if nothing is known a priori, `uu` must be set to zero); output: solution u with the boundary condition u =0 at spatial infinity.

Definition at line 102 of file map_et_poisson.C.

References alpha, Lorene::Valeur::annule(), Lorene::Valeur::base, Lorene::Cmp::check_dzpuis(), Lorene::Map_radial::d2rdtdx, Lorene::Map_radial::d2rdx2, Lorene::Cmp::dec2_dzpuis(), Lorene::Cmp::dec_dzpuis(), Lorene::diffrel(), Lorene::Valeur::dsdt(), Lorene::Map_radial::dxdr, Lorene::Param::get_cmp_mod(), Lorene::Param::get_double(), Lorene::Cmp::get_dzpuis(), Lorene::Cmp::get_etat(), Lorene::Param::get_int(), Lorene::Param::get_int_mod(), Lorene::Cmp::get_mp(), Lorene::Valeur::lapang(), Lorene::Map_radial::lapr_tp, Lorene::max(), Lorene::Map_af::poisson(), rsxdxdr, Lorene::Valeur::set_base(), Lorene::Cmp::set_dzpuis(), Lorene::Cmp::set_etat_qcq(), Lorene::Mtbl::set_etat_qcq(), Lorene::Map_radial::sr2drdt, Lorene::Map_radial::sr2stdrdp, Lorene::Map_radial::srdrdt, Lorene::Map_radial::srstdrdp, Lorene::Map_radial::sstd2rdpdx, Lorene::Valeur::stdsdp(), Lorene::Valeur::sx(), Lorene::Mtbl::t, Lorene::Cmp::va, Lorene::Map_radial::xsr, and Lorene::Valeur::ylm().

## poisson2d()

void Lorene::Map_et::poisson2d | ( | const Cmp & | source_mat,
|  | const Cmp & | source_quad,
|  | Param & | par,
|  | Cmp & | uu ) const

virtual

Computes the solution of a 2-D Poisson equation.

The 2-D Poisson equation writes

Parameters

  source_mat | [input] Compactly supported part of the source of the 2-D Poisson equation (typically matter terms)
  source_quad | [input] Non-compactly supported part of the source of the 2-D Poisson equation (typically quadratic terms)

  par

  [input/output] Parameters to control the resolution : \ `par.get_double_mod(0)` : [output] constant `lambda` such that the source of the equation effectively solved is `source_mat` + lambda * source_quad , in order to fulfill the virial identity GRV2. \ If the theta basis is `T_SIN_I` , the following arguments are required: \ `par.get_int(0)` : [input] maximum number of iterations \ `par.get_double(0)` : [input] relaxation parameter \ `par.get_double(1)` : [input] required precision: the iterative method is stopped as soon as the relative difference between and is greater than `par.get_double(1)` \ `par.get_cmp_mod(0)` : [input/output] input : `Cmp` containing to start the iteration (if nothing is known a priori, this `Cmp` must be set to zero); output: value of , to used in a next call to the routine \ `par.get_int_mod(0)` : [output] number of iterations actually used to get the solution.

  uu | [input/output] solution u with the boundary condition u =0 at spatial infinity.

Definition at line 80 of file map_et_poisson2d.C.

References alpha, Lorene::Mtbl::annule(), Lorene::Valeur::base, Lorene::Cmp::check_dzpuis(), Lorene::Map_radial::d2rdtdx, Lorene::Map_radial::d2rdx2, Lorene::Valeur::d2sdt2(), Lorene::diffrel(), Lorene::Valeur::dsdt(), Lorene::Map_radial::dxdr, Lorene::Param::get_cmp_mod(), Lorene::Param::get_double(), Lorene::Param::get_double_mod(), Lorene::Cmp::get_dzpuis(), Lorene::Cmp::get_etat(), Lorene::Param::get_int(), Lorene::Param::get_int_mod(), Lorene::Cmp::get_mp(), Lorene::Cmp::import(), Lorene::max(), Lorene::Map_af::poisson2d(), rsxdxdr, Lorene::Map_af::set_alpha(), Lorene::Valeur::set_base(), Lorene::Map_af::set_beta(), Lorene::Cmp::set_dzpuis(), Lorene::Cmp::set_etat_qcq(), Lorene::Mtbl::set_etat_qcq(), Lorene::Map_radial::sr2d2rdt2, Lorene::Map_radial::sr2drdt, Lorene::Map_radial::srdrdt, Lorene::Valeur::sx(), Lorene::Mtbl::t, T_COS_P, T_SIN_I, Lorene::Cmp::va, val_r(), and Lorene::Map_radial::xsr.

## poisson_angu()

void Lorene::Map_et::poisson_angu | ( | const Scalar & | source,
|  | Param & | par,
|  | Scalar & | uu,
|  | double | lambda = 0 ) const

virtual

Computes the solution of the generalized angular Poisson equation.

The generalized angular Poisson equation is , where .

Parameters

  source | [input] source of the equation .
  par | [input/output] possible parameters to control the resolution of the Poisson equation. See the actual implementation in the derived class of `Map` for documentation.
  uu | [input/output] solution u
  lambda | [input] coefficient in the above equation (default value = 0)

Definition at line 593 of file map_et_poisson.C.

References Lorene::Valeur::base, Lorene::Map_radial::d2rdtdx, Lorene::Map_radial::d2rdx2, Lorene::diffrel(), Lorene::Valeur::dsdt(), Lorene::Valeur::dsdx(), Lorene::Map_radial::dxdr, Lorene::Scalar::filtre_r(), Lorene::Param::get_cmp_mod(), Lorene::Param::get_double(), Lorene::Scalar::get_dzpuis(), Lorene::Scalar::get_etat(), Lorene::Param::get_int(), Lorene::Param::get_int_mod(), Lorene::Tensor::get_mp(), Lorene::Scalar::get_spectral_va(), Lorene::Map_radial::lapr_tp, Lorene::max(), Lorene::Scalar::mult_r(), Lorene::Map_af::poisson_angu(), Lorene::Valeur::set_base(), Lorene::Scalar::set_dzpuis(), Lorene::Scalar::set_spectral_va(), Lorene::Map_radial::sr2drdt, Lorene::Map_radial::sr2stdrdp, Lorene::Map_radial::srdrdt, Lorene::Map_radial::srstdrdp, Lorene::Map_radial::sstd2rdpdx, and Lorene::Valeur::stdsdp().

## poisson_compact() [1/2]

void Lorene::Map_radial::poisson_compact | ( | const Cmp & | source,
|  | const Cmp & | aa,
|  | const Tenseur & | bb,
|  | const Param & | par,
|  | Cmp & | psi ) const

virtual inherited

Resolution of the elliptic equation in the case where the stellar interior is covered by a single domain.

Parameters

  source | [input] source of the above equation
  aa | [input] factor a in the above equation
  bb | [input] vector b in the above equation

  par

  [input/output] parameters of the iterative method of resolution : \ `par.get_int(0)` : [input] maximum number of iterations \ `par.get_double(0)` : [input] required precision: the iterative method is stopped as soon as the relative difference between and is greater than `par.get_double(0)` \ `par.get_double(1)` : [input] relaxation parameter \ `par.get_int_mod(0)` : [output] number of iterations actually used to get the solution.

  psi | [input/output]: input : previously computed value of to start the iteration (if nothing is known a priori, `psi` must be set to zero); output: solution which satisfies .

Definition at line 155 of file map_radial_poisson_cpt.C.

References Lorene::Cmp::annule(), Lorene::bvect_spher, Lorene::Valeur::c_cf, Lorene::Valeur::coef(), Lorene::Valeur::d2sdx2(), Lorene::diffrel(), Lorene::Cmp::dsdr(), Lorene::Valeur::dsdx(), dxdr, Lorene::Param::get_double(), Lorene::Cmp::get_etat(), Lorene::Tenseur::get_etat(), Lorene::Param::get_int(), Lorene::Param::get_int_mod(), Lorene::Cmp::get_mp(), Lorene::Tenseur::get_mp(), Lorene::Tenseur::get_triad(), Lorene::Valeur::lapang(), Lorene::Cmp::laplacien(), Lorene::max(), Lorene::min(), Lorene::Valeur::mult_x(), Lorene::Cmp::set_etat_qcq(), Lorene::Cmp::set_etat_zero(), Lorene::Cmp::srdsdt(), Lorene::Cmp::srstdsdp(), Lorene::Valeur::std_base_scal(), Lorene::Valeur::sx(), Lorene::Cmp::va, Lorene::Valeur::ylm(), and Lorene::Valeur::ylm_i().

## poisson_compact() [2/2]

void Lorene::Map_radial::poisson_compact | ( | int | nzet,
|  | const Cmp & | source,
|  | const Cmp & | aa,
|  | const Tenseur & | bb,
|  | const Param & | par,
|  | Cmp & | psi ) const

virtual inherited

Resolution of the elliptic equation in the case of a multidomain stellar interior.

Parameters

  nzet | [input] number of domains covering the stellar interior
  source | [input] source of the above equation
  aa | [input] factor a in the above equation
  bb | [input] vector b in the above equation
  par | [input/output] possible parameters to control the resolution of the equation. See the actual implementation in the derived class of `Map` for documentation.
  psi | [input/output] solution which satisfies .

Definition at line 453 of file map_radial_poisson_cpt.C.

References Lorene::Cmp::annule(), Lorene::Mtbl::annule_hard(), Lorene::Tbl::annule_hard(), Lorene::bvect_spher, Lorene::Valeur::c_cf, Lorene::Valeur::coef(), Lorene::diffrel(), Lorene::Cmp::dsdr(), Lorene::Map_af::dsdr(), Lorene::Param::get_double(), Lorene::Cmp::get_etat(), Lorene::Tenseur::get_etat(), Lorene::Param::get_int(), Lorene::Param::get_int_mod(), Lorene::Cmp::get_mp(), Lorene::Tenseur::get_mp(), Lorene::Tenseur::get_triad(), Lorene::Cmp::laplacien(), Lorene::Map_af::laplacien(), Lorene::max(), Lorene::min(), poisson_compact(), Lorene::Mtbl::set(), Lorene::Tbl::set(), Lorene::Cmp::set_etat_qcq(), Lorene::Cmp::set_etat_zero(), Lorene::Cmp::srdsdt(), Lorene::Cmp::srstdsdp(), Lorene::Valeur::std_base_scal(), Lorene::Tbl::t, Lorene::Cmp::va, Lorene::Valeur::ylm(), and Lorene::Valeur::ylm_i().

## poisson_falloff()

void Lorene::Map_et::poisson_falloff | ( | const Cmp & | source,
|  | Param & | par,
|  | Cmp & | uu,
|  | int | k_falloff ) const

virtual

Definition at line 54 of file map_et_poisson_falloff.C.

## poisson_frontiere()

void Lorene::Map_et::poisson_frontiere | ( | const Cmp & | ,
|  | const Valeur & | ,
|  | int | ,
|  | int | ,
|  | Cmp & | ,
|  | double | = 0.,
|  | double | = 0. ) const

virtual

Not yet implemented.

Definition at line 124 of file cmp_pde_frontiere.C.

## poisson_frontiere_double()

void Lorene::Map_et::poisson_frontiere_double | ( | const Cmp & | source,
|  | const Valeur & | lim_func,
|  | const Valeur & | lim_der,
|  | int | num_zone,
|  | Cmp & | pot ) const

virtual

Definition at line 129 of file cmp_pde_frontiere.C.

## poisson_interne()

void Lorene::Map_et::poisson_interne | ( | const Cmp & | source,
|  | const Valeur & | limite,
|  | Param & | par,
|  | Cmp & | pot ) const

virtual

Computes the solution of a Poisson equation in the shell .

imposing a boundary condition at the surface of the star

Parameters

  source | [input] : source of the equation.
  limite | [input] : `limite`[num_front] contains the angular function being the boudary condition.
  par | [input] : parameters of the computation.
  pot | [output] : result.

Definition at line 274 of file cmp_pde_frontiere.C.

References alpha, Lorene::Valeur::base, Lorene::Map_radial::d2rdtdx, Lorene::Map_radial::d2rdx2, Lorene::diffrel(), Lorene::Valeur::dsdt(), Lorene::Map_radial::dxdr, Lorene::Param::get_cmp_mod(), Lorene::Param::get_double(), Lorene::Cmp::get_etat(), Lorene::Param::get_int(), Lorene::Param::get_int_mod(), Lorene::Cmp::get_mp(), Lorene::Valeur::lapang(), Lorene::Map_radial::lapr_tp, Lorene::max(), Lorene::Map_af::poisson_interne(), rsxdxdr, Lorene::Valeur::set_base(), Lorene::Cmp::set_etat_qcq(), Lorene::Mtbl::set_etat_qcq(), Lorene::Map_radial::sr2drdt, Lorene::Map_radial::sr2stdrdp, Lorene::Map_radial::srdrdt, Lorene::Map_radial::srstdrdp, Lorene::Map_radial::sstd2rdpdx, Lorene::Valeur::stdsdp(), Lorene::Valeur::sx(), Lorene::Mtbl::t, Lorene::Cmp::va, Lorene::Map_radial::xsr, and Lorene::Valeur::ylm().

## poisson_regular()

void Lorene::Map_et::poisson_regular | ( | const Cmp & | source,
|  | int | k_div,
|  | int | nzet,
|  | double | unsgam1,
|  | Param & | par,
|  | Cmp & | uu,
|  | Cmp & | uu_regu,
|  | Cmp & | uu_div,
|  | Tenseur & | duu_div,
|  | Cmp & | source_regu,
|  | Cmp & | source_div ) const

virtual

Computes the solution of a scalar Poisson equation.

The regularized source

Parameters

  source | [input] source of the Poisson equation .
  k_div | [input] regularization degree of the procedure
  nzet | [input] number of domains covering the star
  unsgam1 | [input] parameter where denotes the adiabatic index.

  par

  [input/output] parameters for the iterative method: \ `par.get_int(0)` : [input] maximum number of iterations \ `par.get_double(0)` : [input] relaxation parameter \ `par.get_double(1)` : [input] required precision: the iterative method is stopped as soon as the relative difference between and is greater than `par.get_double(1)` \ `par.get_cmp_mod(0)` : [input/output] input : `Cmp` containing (cf. the above equation) to start the iteration (if nothing is known a priori, this `Cmp` must be set to zero); output: value of , to used in a next call to the routine \ `par.get_int_mod(0)` : [output] number of iterations actually used to get the solution.

  uu | [input/output] input : previously computed value of u to start the iteration (term R(u) ) (if nothing is known a priori, `uu` must be set to zero); output: solution u with the boundary condition u =0 at spatial infinity.
  uu_regu | [output] solution of the regular part of the source.
  uu_div | [output] solution of the diverging part of the source.
  duu_div | [output] derivative of the diverging potential
  source_regu | [output] regularized source
  source_div | [output] diverging part of the source

Definition at line 85 of file map_et_poisson_regu.C.

References alpha, Lorene::Valeur::annule(), Lorene::Valeur::base, Lorene::Cmp::check_dzpuis(), Lorene::Map_radial::d2rdtdx, Lorene::Map_radial::d2rdx2, Lorene::Cmp::dec2_dzpuis(), Lorene::Cmp::dec_dzpuis(), Lorene::diffrel(), Lorene::Valeur::dsdt(), Lorene::Map_radial::dxdr, Lorene::get_bvect_spher(), Lorene::Param::get_cmp_mod(), Lorene::Param::get_double(), Lorene::Cmp::get_dzpuis(), Lorene::Cmp::get_etat(), Lorene::Param::get_int(), Lorene::Param::get_int_mod(), Lorene::Cmp::get_mp(), Lorene::Valeur::lapang(), Lorene::Map_radial::lapr_tp, Lorene::max(), Lorene::Map_af::poisson_regular(), rsxdxdr, Lorene::Tenseur::set(), Lorene::Valeur::set_base(), Lorene::Cmp::set_dzpuis(), Lorene::Cmp::set_etat_qcq(), Lorene::Mtbl::set_etat_qcq(), Lorene::Tenseur::set_triad(), Lorene::Map_radial::sr2drdt, Lorene::Map_radial::sr2stdrdp, Lorene::Map_radial::srdrdt, Lorene::Map_radial::srstdrdp, Lorene::Map_radial::sstd2rdpdx, Lorene::Valeur::stdsdp(), Lorene::Valeur::sx(), Lorene::Mtbl::t, Lorene::Cmp::va, Lorene::Map_radial::xsr, and Lorene::Valeur::ylm().

## poisson_tau()

void Lorene::Map_et::poisson_tau | ( | const Cmp & | source,
|  | Param & | par,
|  | Cmp & | uu ) const

virtual

Computes the solution of a scalar Poisson equation with a Tau method.

Following the method explained in Sect. III.C of Bonazzola, Gourgoulhon & Marck, Phys. Rev. D 58 , 104020 (1998),
the Poisson equation is re-written as , where is the Laplacian in an affine mapping and R(u) contains the terms generated by the deviation of the mapping `*this` from spherical symmetry. This equation is solved by iterations. At each step J the equation effectively solved is where

with in domain no. l and is a relaxation parameter.

Parameters

  source | [input] source of the Poisson equation

  par

  [input/output] parameters for the iterative method: \ `par.get_int(0)` : [input] maximum number of iterations \ `par.get_double(0)` : [input] relaxation parameter \ `par.get_double(1)` : [input] required precision: the iterative method is stopped as soon as the relative difference between and is greater than `par.get_double(1)` \ `par.get_cmp_mod(0)` : [input/output] input : `Cmp` containing (cf. the above equation) to start the iteration (if nothing is known a priori, this `Cmp` must be set to zero); output: value of , to used in a next call to the routine \ `par.get_int_mod(0)` : [output] number of iterations actually used to get the solution.

  uu | [input/output] input : previously computed value of u to start the iteration (term R(u) ) (if nothing is known a priori, `uu` must be set to zero); output: solution u with the boundary condition u =0 at spatial infinity.

Definition at line 351 of file map_et_poisson.C.

References alpha, Lorene::Valeur::annule(), Lorene::Valeur::base, Lorene::Cmp::check_dzpuis(), Lorene::Map_radial::d2rdtdx, Lorene::Map_radial::d2rdx2, Lorene::Cmp::dec2_dzpuis(), Lorene::Cmp::dec_dzpuis(), Lorene::diffrel(), Lorene::Valeur::dsdt(), Lorene::Map_radial::dxdr, Lorene::Param::get_cmp_mod(), Lorene::Param::get_double(), Lorene::Cmp::get_dzpuis(), Lorene::Cmp::get_etat(), Lorene::Param::get_int(), Lorene::Param::get_int_mod(), Lorene::Cmp::get_mp(), Lorene::Valeur::lapang(), Lorene::Map_radial::lapr_tp, Lorene::max(), Lorene::Map_af::poisson_tau(), rsxdxdr, Lorene::Valeur::set_base(), Lorene::Cmp::set_dzpuis(), Lorene::Cmp::set_etat_qcq(), Lorene::Mtbl::set_etat_qcq(), Lorene::Map_radial::sr2drdt, Lorene::Map_radial::sr2stdrdp, Lorene::Map_radial::srdrdt, Lorene::Map_radial::srstdrdp, Lorene::Map_radial::sstd2rdpdx, Lorene::Valeur::stdsdp(), Lorene::Valeur::sx(), Lorene::Mtbl::t, Lorene::Cmp::va, Lorene::Map_radial::xsr, and Lorene::Valeur::ylm().

## poisson_ylm()

void Lorene::Map_et::poisson_ylm | ( | const Cmp & | source,
|  | Param & | par,
|  | Cmp & | uu,
|  | int | nylm,
|  | double * | intvec ) const

virtual

Definition at line 54 of file map_et_poisson_ylm.C.

## primr()

void Lorene::Map_et::primr | ( | const Scalar & | uu,
|  | Scalar & | resu,
|  | bool | null_infty ) const

virtual

Computes the radial primitive which vanishes for .

i.e. the function

Parameters

  uu | [input] function f (must have a `dzpuis` = 2)
  resu | [input] function F
  null_infty | if true (default), the primitive is null at infinity (or on the grid boundary). F is null at the center otherwise

Definition at line 110 of file map_et_integ.C.

## reevaluate() [1/2]

void Lorene::Map_radial::reevaluate | ( | const Map * | mp_prev,
|  | int | nzet,
|  | Cmp & | uu ) const

virtual inherited

Recomputes the values of a `Cmp` at the collocation points after a change in the mapping.

Parameters

  mp_prev | [input] Previous value of the mapping.
  nzet | [input] Number of domains where the computation must be done: the computation is performed for the domains of index ; `uu` is set to zero in the other domains.
  uu | [input/output] input : `Cmp` previously computed on the mapping `*mp_prev` ; ouput : values of (logically) the same `Cmp` at the grid points defined by `*this`.

Definition at line 58 of file map_radial_reevaluate.C.

References Lorene::Param::add_double(), Lorene::Param::add_int(), Lorene::Param::add_int_mod(), Lorene::Cmp::annule(), Lorene::Cmp::get_dzpuis(), Lorene::Cmp::get_etat(), Lorene::Cmp::get_mp(), Lorene::Map(), Map_radial(), Lorene::r, Lorene::Mtbl::set_etat_qcq(), Lorene::Tbl::set_etat_qcq(), Lorene::Mtbl::t, Lorene::Cmp::va, val_lx_jk(), and Lorene::Mtbl_cf::val_point_jk().

## reevaluate() [2/2]

void Lorene::Map_radial::reevaluate | ( | const Map * | mp_prev,
|  | int | nzet,
|  | Scalar & | uu ) const

virtual inherited

Recomputes the values of a `Scalar` at the collocation points after a change in the mapping.

Parameters

  mp_prev | [input] Previous value of the mapping.
  nzet | [input] Number of domains where the computation must be done: the computation is performed for the domains of index ; `uu` is set to zero in the other domains.
  uu | [input/output] input : `Scalar` previously computed on the mapping `*mp_prev` ; ouput : values of (logically) the same `Scalar` at the grid points defined by `*this`.

Definition at line 173 of file map_radial_reevaluate.C.

References Lorene::Param::add_double(), Lorene::Param::add_int(), Lorene::Param::add_int_mod(), Lorene::Scalar::annule(), Lorene::Valeur::coef(), Lorene::Scalar::get_dzpuis(), Lorene::Scalar::get_etat(), Lorene::Tensor::get_mp(), Lorene::Map(), Map_radial(), Lorene::r, Lorene::Valeur::set_etat_c_qcq(), Lorene::Mtbl::set_etat_qcq(), Lorene::Tbl::set_etat_qcq(), Lorene::Scalar::set_spectral_va(), Lorene::Mtbl::t, val_lx_jk(), and Lorene::Mtbl_cf::val_point_jk().

## reevaluate_symy() [1/2]

void Lorene::Map_radial::reevaluate_symy | ( | const Map * | mp_prev,
|  | int | nzet,
|  | Cmp & | uu ) const

virtual inherited

Recomputes the values of a `Cmp` at the collocation points after a change in the mapping.

Case where the `Cmp` is symmetric with respect to the plane y=0.

Parameters

  mp_prev | [input] Previous value of the mapping.
  nzet | [input] Number of domains where the computation must be done: the computation is performed for the domains of index ; `uu` is set to zero in the other domains.
  uu | [input/output] input : `Cmp` previously computed on the mapping `*mp_prev` ; ouput : values of (logically) the same `Cmp` at the grid points defined by `*this`.

Definition at line 59 of file map_radial_reeval_symy.C.

References Lorene::Param::add_double(), Lorene::Param::add_int(), Lorene::Param::add_int_mod(), Lorene::Cmp::annule(), Lorene::Cmp::get_dzpuis(), Lorene::Cmp::get_etat(), Lorene::Cmp::get_mp(), Lorene::Map(), Map_radial(), Lorene::r, Lorene::Mtbl::set_etat_qcq(), Lorene::Tbl::set_etat_qcq(), Lorene::Mtbl::t, Lorene::Cmp::va, val_lx_jk(), and Lorene::Mtbl_cf::val_point_jk_symy().

## reevaluate_symy() [2/2]

void Lorene::Map_radial::reevaluate_symy | ( | const Map * | mp_prev,
|  | int | nzet,
|  | Scalar & | uu ) const

virtual inherited

Recomputes the values of a `Scalar` at the collocation points after a change in the mapping.

Case where the `Scalar` is symmetric with respect to the plane y=0.

Parameters

  mp_prev | [input] Previous value of the mapping.
  nzet | [input] Number of domains where the computation must be done: the computation is performed for the domains of index ; `uu` is set to zero in the other domains.
  uu | [input/output] input : `Scalar` previously computed on the mapping `*mp_prev` ; ouput : values of (logically) the same `Scalar` at the grid points defined by `*this`.

Definition at line 193 of file map_radial_reeval_symy.C.

References Lorene::Param::add_double(), Lorene::Param::add_int(), Lorene::Param::add_int_mod(), Lorene::Scalar::annule(), Lorene::Valeur::coef(), Lorene::Scalar::get_dzpuis(), Lorene::Scalar::get_etat(), Lorene::Tensor::get_mp(), Lorene::Map(), Map_radial(), Lorene::r, Lorene::Valeur::set_etat_c_qcq(), Lorene::Mtbl::set_etat_qcq(), Lorene::Tbl::set_etat_qcq(), Lorene::Scalar::set_spectral_va(), Lorene::Mtbl::t, val_lx_jk(), and Lorene::Mtbl_cf::val_point_jk_symy().

## reset_coord()

void Lorene::Map_et::reset_coord | ( |  | ) |

protected virtual

Resets all the member `Coords`.

Reimplemented from Lorene::Map_radial.

Definition at line 628 of file map_et.C.

References Lorene::Map_radial::reset_coord(), rsx2drdx, and rsxdxdr.

## resize()

void Lorene::Map_et::resize | ( | int | l,
|  | double | lambda )

virtual

Rescales the outer boundary of one domain.

The inner boundary is unchanged. The inner boundary of the next domain is changed to match the new outer boundary.

Parameters

  l | [input] index of the domain
  lambda | [input] factor by which the value of defining the outer boundary of the domain is to be multiplied.

Definition at line 928 of file map_et.C.

References alpha, beta, ff, gg, and reset_coord().

## resize_extr()

void Lorene::Map_et::resize_extr | ( | double | lambda | ) |

Rescales the outer boundary of the outermost domain in the case of non-compactified external domain.

The inner boundary is unchanged.

Parameters

  lambda | [input] factor by which the value of the radius of the outermost domain is to be multiplied.

Definition at line 55 of file map_et_resize_extr.C.

References alpha, beta, and reset_coord().

## sauve()

void Lorene::Map_et::sauve | ( | FILE * | fich | ) | const

virtual

Save in a file.

Reimplemented from Lorene::Map_radial.

Definition at line 779 of file map_et.C.

References alpha, beta, ff, Lorene::fwrite_be(), gg, and Lorene::Map_radial::sauve().

## set_alpha()

void Lorene::Map_et::set_alpha | ( | double | alpha0,
|  | int | l )

Modifies the value of in domain no. l.

Definition at line 424 of file map_et.C.

References alpha, and reset_coord().

## set_beta()

void Lorene::Map_et::set_beta | ( | double | beta0,
|  | int | l )

Modifies the value of in domain no. l.

Definition at line 435 of file map_et.C.

References beta, and reset_coord().

## set_coord()

void Lorene::Map_et::set_coord | ( |  | ) |

private

Assignement of the building functions to the member `Coords`.

Definition at line 584 of file map_et.C.

References Lorene::cosp, Lorene::cost, Lorene::Map_radial::d2rdtdx, Lorene::Map_radial::d2rdx2, Lorene::Map_radial::drdt, Lorene::Map_radial::dxdr, Lorene::Map_radial::lapr_tp, Lorene::phi, Lorene::r, rsx2drdx, rsxdxdr, Lorene::sinp, Lorene::sint, Lorene::Map_radial::sr2d2rdt2, Lorene::Map_radial::sr2drdt, Lorene::Map_radial::sr2stdrdp, Lorene::Map_radial::srdrdt, Lorene::Map_radial::srstdrdp, Lorene::Map_radial::sstd2rdpdx, Lorene::Map_radial::stdrdp, Lorene::tet, Lorene::x, Lorene::xa, Lorene::Map_radial::xsr, Lorene::y, Lorene::ya, Lorene::z, and Lorene::za.

## set_ff()

void Lorene::Map_et::set_ff | ( | const Valeur & | ffi | ) |

Assigns a given value to the function .

Definition at line 562 of file map_et.C.

References ff, and reset_coord().

## set_gg()

void Lorene::Map_et::set_gg | ( | const Valeur & | ggi | ) |

Assigns a given value to the function .

Definition at line 570 of file map_et.C.

References gg, and reset_coord().

## srdsdt() [1/2]

void Lorene::Map_et::srdsdt | ( | const Cmp & | ci,
|  | Cmp & | resu ) const

virtual

Computes of a `Cmp`.

Note that in the compactified external domain (CED), it computes .

Parameters

  ci | [input] field to consider
  resu | [output] derivative of `ci`

Definition at line 337 of file map_et_deriv.C.

References Lorene::Valeur::base, Lorene::Cmp::check_dzpuis(), Lorene::Valeur::dsdt(), Lorene::Valeur::dsdx(), Lorene::Map_radial::dxdr, Lorene::Cmp::get_etat(), Lorene::Cmp::get_mp(), Lorene::Cmp::set_dzpuis(), Lorene::Cmp::set_etat_zero(), Lorene::Map_radial::srdrdt, Lorene::Valeur::sx(), Lorene::Cmp::va, and Lorene::Map_radial::xsr.

## srdsdt() [2/2]

void Lorene::Map_et::srdsdt | ( | const Scalar & | uu,
|  | Scalar & | resu ) const

virtual

Computes of a `Scalar`.

Note that in the compactified external domain (CED), the `dzpuis` flag of the output is 2 if the input has `dzpuis` = 0, and is increased by 1 in other cases.

Parameters

  uu | [input] field to consider
  resu | [output] derivative of `uu`

Definition at line 391 of file map_et_deriv.C.

References Lorene::Valeur::annule(), Lorene::Valeur::base, Lorene::Valeur::coef(), Lorene::Valeur::dsdt(), Lorene::Valeur::dsdx(), Lorene::Map_radial::dxdr, Lorene::Scalar::get_dzpuis(), Lorene::Scalar::get_etat(), Lorene::Tensor::get_mp(), Lorene::Scalar::get_spectral_va(), Lorene::Valeur::mult_x(), Lorene::Scalar::set_dzpuis(), Lorene::Scalar::set_etat_zero(), Lorene::Map_radial::srdrdt, Lorene::Valeur::sx(), and Lorene::Map_radial::xsr.

## srstdsdp() [1/2]

void Lorene::Map_et::srstdsdp | ( | const Cmp & | ci,
|  | Cmp & | resu ) const

virtual

Computes of a `Cmp`.

Note that in the compactified external domain (CED), it computes .

Parameters

  ci | [input] field to consider
  resu | [output] derivative of `ci`

Definition at line 485 of file map_et_deriv.C.

References Lorene::Valeur::base, Lorene::Cmp::check_dzpuis(), Lorene::Valeur::dsdp(), Lorene::Valeur::dsdx(), Lorene::Map_radial::dxdr, Lorene::Cmp::get_etat(), Lorene::Cmp::get_mp(), Lorene::Cmp::set_dzpuis(), Lorene::Cmp::set_etat_zero(), Lorene::Map_radial::srstdrdp, Lorene::Valeur::ssint(), Lorene::Valeur::sx(), Lorene::Cmp::va, and Lorene::Map_radial::xsr.

## srstdsdp() [2/2]

void Lorene::Map_et::srstdsdp | ( | const Scalar & | uu,
|  | Scalar & | resu ) const

virtual

Computes of a `Scalar`.

Note that in the compactified external domain (CED), the `dzpuis` flag of the output is 2 if the input has `dzpuis` = 0, and is increased by 1 in other cases.

Parameters

  uu | [input] field to consider
  resu | [output] derivative of `uu`

Definition at line 540 of file map_et_deriv.C.

References Lorene::Valeur::annule(), Lorene::Valeur::base, Lorene::Valeur::coef(), Lorene::Valeur::dsdp(), Lorene::Valeur::dsdx(), Lorene::Map_radial::dxdr, Lorene::Scalar::get_dzpuis(), Lorene::Scalar::get_etat(), Lorene::Tensor::get_mp(), Lorene::Scalar::get_spectral_va(), Lorene::Valeur::mult_x(), Lorene::Scalar::set_dzpuis(), Lorene::Scalar::set_etat_zero(), Lorene::Map_radial::srstdrdp, Lorene::Valeur::ssint(), Lorene::Valeur::sx(), and Lorene::Map_radial::xsr.

## stdsdp()

void Lorene::Map_et::stdsdp | ( | const Scalar & | uu,
|  | Scalar & | resu ) const

virtual

Computes of a `Scalar`.

Parameters

  uu | [input] scalar field
  resu | [output] derivative of `uu`

Definition at line 674 of file map_et_deriv.C.

References Lorene::Valeur::dsdx(), Lorene::Map_radial::dxdr, Lorene::Valeur::get_base(), Lorene::Scalar::get_etat(), Lorene::Tensor::get_mp(), Lorene::Scalar::get_spectral_va(), Lorene::Valeur::set_base(), Lorene::Scalar::set_etat_zero(), Lorene::Map_radial::stdrdp, and Lorene::Valeur::stdsdp().

## val_lx() [1/2]

void Lorene::Map_et::val_lx | ( | double | rr,
|  | double | theta,
|  | double | pphi,
|  | const Param & | par,
|  | int & | l,
|  | double & | xi ) const

virtual

Computes the domain index l and the value of corresponding to a point given by its physical coordinates .

This version enables to pass some parameters to control the accuracy of the computation.

Parameters

  rr | [input] value of r
  theta | [input] value of
  pphi | [input] value of
  par | [input/output] parameters to control the accuracy of the computation: \ `par.get_int(0)` : [input] maximum number of iterations in the secant method to locate \ `par.get_int_mod(0)` : [output] effective number of iterations used \ `par.get_double(0)` : [input] absolute precision in the secant method to locate
  l | [output] value of the domain index
  xi | [output] value of

Definition at line 169 of file map_et_radius.C.

References Lorene::Param::add_double(), alpha, beta, ff, Lorene::Param::get_double(), Lorene::Param::get_int(), Lorene::Param::get_int_mod(), gg, and Lorene::zerosec().

## val_lx() [2/2]

void Lorene::Map_et::val_lx | ( | double | rr,
|  | double | theta,
|  | double | pphi,
|  | int & | l,
|  | double & | xi ) const

virtual

Computes the domain index l and the value of corresponding to a point given by its physical coordinates .

Parameters

  rr | [input] value of r
  theta | [input] value of
  pphi | [input] value of
  l | [output] value of the domain index
  xi | [output] value of

Definition at line 146 of file map_et_radius.C.

References Lorene::Param::add_double(), Lorene::Param::add_int(), Lorene::Param::add_int_mod(), and val_lx().

## val_lx_jk()

void Lorene::Map_et::val_lx_jk | ( | double | rr,
|  | int | j,
|  | int | k,
|  | const Param & | par,
|  | int & | l,
|  | double & | xi ) const

virtual

Computes the domain index l and the value of corresponding to a point of arbitrary r but collocation values of .

Parameters

  rr | [input] value of r
  j | [input] index of the collocation point in
  k | [input] index of the collocation point in
  par | [input/output] parameters to control the accuracy of the computation: \ `par.get_int(0)` : [input] maximum number of iterations in the secant method to locate \ `par.get_int_mod(0)` : [output] effective number of iterations used \ `par.get_double(0)` : [input] absolute precision in the secant method to locate
  l | [output] value of the domain index
  xi | [output] value of

Implements Lorene::Map_radial.

Definition at line 418 of file map_et_radius.C.

References Lorene::Param::add_double(), alpha, beta, ff, Lorene::Param::get_double(), Lorene::Param::get_int(), Lorene::Param::get_int_mod(), gg, and Lorene::zerosec().

## val_r()

double Lorene::Map_et::val_r | ( | int | l,
|  | double | xi,
|  | double | theta,
|  | double | pphi ) const

virtual

Returns the value of the radial coordinate r for a given in a given domain.

Parameters

  l | [input] index of the domain
  xi | [input] value of
  theta | [input] value of
  pphi | [input] value of

Returns
  value of

Definition at line 92 of file map_et_radius.C.

References alpha, beta, ff, and gg.

## val_r_jk()

double Lorene::Map_et::val_r_jk | ( | int | l,
|  | double | xi,
|  | int | j,
|  | int | k ) const

virtual

Returns the value of the radial coordinate r for a given and a given collocation point in in a given domain.

Parameters

  l | [input] index of the domain
  xi | [input] value of
  j | [input] index of the collocation point in
  k | [input] index of the collocation point in

Returns
  value of

Implements Lorene::Map_radial.

Definition at line 367 of file map_et_radius.C.

References alpha, beta, ff, and gg.

## Friends And Related Symbol Documentation

## map_et_fait_cosp

Mtbl * map_et_fait_cosp | ( | const Map * | cvi | ) |

friend

Definition at line 466 of file map_et_fait.C.

## map_et_fait_cost

Mtbl * map_et_fait_cost | ( | const Map * | cvi | ) |

friend

Definition at line 400 of file map_et_fait.C.

## map_et_fait_d2rdtdx

Mtbl * map_et_fait_d2rdtdx | ( | const Map * | cvi | ) |

friend

Definition at line 1199 of file map_et_fait_der.C.

## map_et_fait_d2rdx2

Mtbl * map_et_fait_d2rdx2 | ( | const Map * | cvi | ) |

friend

Definition at line 998 of file map_et_fait_der.C.

## map_et_fait_drdt

Mtbl * map_et_fait_drdt | ( | const Map * | cvi | ) |

friend

Definition at line 159 of file map_et_fait_der.C.

## map_et_fait_dxdr

Mtbl * map_et_fait_dxdr | ( | const Map * | cvi | ) |

friend

Definition at line 82 of file map_et_fait_der.C.

## map_et_fait_lapr_tp

Mtbl * map_et_fait_lapr_tp | ( | const Map * | cvi | ) |

friend

Definition at line 1076 of file map_et_fait_der.C.

## map_et_fait_phi

Mtbl * map_et_fait_phi | ( | const Map * | cvi | ) |

friend

Definition at line 196 of file map_et_fait.C.

## map_et_fait_r

Mtbl * map_et_fait_r | ( | const Map * | cvi | ) |

friend

Definition at line 78 of file map_et_fait.C.

## map_et_fait_rsx2drdx

Mtbl * map_et_fait_rsx2drdx | ( | const Map * | cvi | ) |

friend

Definition at line 879 of file map_et_fait_der.C.

## map_et_fait_rsxdxdr

Mtbl * map_et_fait_rsxdxdr | ( | const Map * | cvi | ) |

friend

Definition at line 767 of file map_et_fait_der.C.

## map_et_fait_sinp

Mtbl * map_et_fait_sinp | ( | const Map * | cvi | ) |

friend

Definition at line 433 of file map_et_fait.C.

## map_et_fait_sint

Mtbl * map_et_fait_sint | ( | const Map * | cvi | ) |

friend

Definition at line 367 of file map_et_fait.C.

## map_et_fait_sr2d2rdt2

Mtbl * map_et_fait_sr2d2rdt2 | ( | const Map * | cvi | ) |

friend

Definition at line 1353 of file map_et_fait_der.C.

## map_et_fait_sr2drdt

Mtbl * map_et_fait_sr2drdt | ( | const Map * | cvi | ) |

friend

Definition at line 528 of file map_et_fait_der.C.

## map_et_fait_sr2stdrdp

Mtbl * map_et_fait_sr2stdrdp | ( | const Map * | cvi | ) |

friend

Definition at line 647 of file map_et_fait_der.C.

## map_et_fait_srdrdt

Mtbl * map_et_fait_srdrdt | ( | const Map * | cvi | ) |

friend

Definition at line 317 of file map_et_fait_der.C.

## map_et_fait_srstdrdp

Mtbl * map_et_fait_srstdrdp | ( | const Map * | cvi | ) |

friend

Definition at line 423 of file map_et_fait_der.C.

## map_et_fait_sstd2rdpdx

Mtbl * map_et_fait_sstd2rdpdx | ( | const Map * | cvi | ) |

friend

Definition at line 1276 of file map_et_fait_der.C.

## map_et_fait_stdrdp

Mtbl * map_et_fait_stdrdp | ( | const Map * | cvi | ) |

friend

Definition at line 238 of file map_et_fait_der.C.

## map_et_fait_tet

Mtbl * map_et_fait_tet | ( | const Map * | cvi | ) |

friend

Definition at line 159 of file map_et_fait.C.

## map_et_fait_x

Mtbl * map_et_fait_x | ( | const Map * | cvi | ) |

friend

Definition at line 233 of file map_et_fait.C.

## map_et_fait_xa

Mtbl * map_et_fait_xa | ( | const Map * | cvi | ) |

friend

Definition at line 287 of file map_et_fait.C.

## map_et_fait_xsr

Mtbl * map_et_fait_xsr | ( | const Map * | cvi | ) |

friend

Definition at line 505 of file map_et_fait.C.

## map_et_fait_y

Mtbl * map_et_fait_y | ( | const Map * | cvi | ) |

friend

Definition at line 251 of file map_et_fait.C.

## map_et_fait_ya

Mtbl * map_et_fait_ya | ( | const Map * | cvi | ) |

friend

Definition at line 317 of file map_et_fait.C.

## map_et_fait_z

Mtbl * map_et_fait_z | ( | const Map * | cvi | ) |

friend

Definition at line 269 of file map_et_fait.C.

## map_et_fait_za

Mtbl * map_et_fait_za | ( | const Map * | cvi | ) |

friend

Definition at line 347 of file map_et_fait.C.

## Member Data Documentation

## aa

Tbl** Lorene::Map_et::aa

private

Array (size: `mg->nzone` ) of `Tbl` which stores the values of in each domain.

Definition at line 2765 of file map.h.

## aasx

Tbl Lorene::Map_et::aasx

private

Values at the `nr` collocation points of in the nucleus.

Definition at line 2778 of file map.h.

## aasx2

Tbl Lorene::Map_et::aasx2

private

Values at the `nr` collocation points of in the nucleus.

Definition at line 2781 of file map.h.

## alpha

double* Lorene::Map_et::alpha

private

Array (size: `mg->nzone` ) of the values of in each domain.

Definition at line 2758 of file map.h.

## bb

Tbl** Lorene::Map_et::bb

private

Array (size: `mg->nzone` ) of `Tbl` which stores the values of in each domain.

Definition at line 2796 of file map.h.

## bbsx

Tbl Lorene::Map_et::bbsx

private

Values at the `nr` collocation points of in the nucleus.

Definition at line 2809 of file map.h.

## bbsx2

Tbl Lorene::Map_et::bbsx2

private

Values at the `nr` collocation points of in the nucleus.

Definition at line 2812 of file map.h.

## beta

double* Lorene::Map_et::beta

private

Array (size: `mg->nzone` ) of the values of in each domain.

Definition at line 2760 of file map.h.

## d2rdtdx

Coord Lorene::Map_radial::d2rdtdx

inherited

in the nucleus and in the non-compactified shells; \ in the compactified outer domain.

Definition at line 1640 of file map.h.

## d2rdx2

Coord Lorene::Map_radial::d2rdx2

inherited

in the nucleus and in the non-compactified shells; \ in the compactified outer domain.

Definition at line 1619 of file map.h.

## daa

Tbl** Lorene::Map_et::daa

private

Array (size: `mg->nzone` ) of `Tbl` which stores the values of in each domain.

Definition at line 2770 of file map.h.

## dbb

Tbl** Lorene::Map_et::dbb

private

Array (size: `mg->nzone` ) of `Tbl` which stores the values of in each domain.

Definition at line 2801 of file map.h.

## ddaa

Tbl** Lorene::Map_et::ddaa

private

Array (size: `mg->nzone` ) of `Tbl` which stores the values of in each domain.

Definition at line 2775 of file map.h.

## ddbb

Tbl** Lorene::Map_et::ddbb

private

Array (size: `mg->nzone` ) of `Tbl` which stores the values of in each domain.

Definition at line 2806 of file map.h.

## drdt

Coord Lorene::Map_radial::drdt

inherited

in the nucleus and in the non-compactified shells; \ in the compactified external domain (CED).

Definition at line 1568 of file map.h.

## dxdr

Coord Lorene::Map_radial::dxdr

inherited

in the nucleus and in the non-compactified shells; \ in the compactified outer domain.

Definition at line 1560 of file map.h.

## ff

Valeur Lorene::Map_et::ff

private

Values of the function at the `nt*np` angular collocation points in each domain.

The `Valeur` `ff` is defined on the multi-grid `mg->g_angu` (cf. class `Mg3d` ).

Definition at line 2819 of file map.h.

## gg

Valeur Lorene::Map_et::gg

private

Values of the function at the `nt*np` angular collocation points in each domain.

The `Valeur` `gg` is defined on the multi-grid `mg->g_angu` (cf. class `Mg3d` ).

Definition at line 2826 of file map.h.

## lapr_tp

Coord Lorene::Map_radial::lapr_tp

inherited

in the nucleus and in the non-compactified shells; \ in the compactified outer domain.

Definition at line 1631 of file map.h.

## rsx2drdx

Coord Lorene::Map_et::rsx2drdx

in the nucleus and the shells; \ in the outermost compactified domain.

Definition at line 2841 of file map.h.

## rsxdxdr

Coord Lorene::Map_et::rsxdxdr

in the nucleus; \ in the shells; \ in the outermost compactified domain.

Definition at line 2834 of file map.h.

## sr2d2rdt2

Coord Lorene::Map_radial::sr2d2rdt2

inherited

in the nucleus and in the non-compactified shells; \ in the compactified outer domain.

Definition at line 1657 of file map.h.

## sr2drdt

Coord Lorene::Map_radial::sr2drdt

inherited

in the nucleus and in the non-compactified shells; \ in the compactified outer domain.

Definition at line 1600 of file map.h.

## sr2stdrdp

Coord Lorene::Map_radial::sr2stdrdp

inherited

in the nucleus and in the non-compactified shells; \ in the compactified outer domain.

Definition at line 1608 of file map.h.

## srdrdt

Coord Lorene::Map_radial::srdrdt

inherited

in the nucleus and in the non-compactified shells; \ in the compactified outer domain.

Definition at line 1584 of file map.h.

## srstdrdp

Coord Lorene::Map_radial::srstdrdp

inherited

in the nucleus and in the non-compactified shells; \ in the compactified outer domain.

Definition at line 1592 of file map.h.

## sstd2rdpdx

Coord Lorene::Map_radial::sstd2rdpdx

inherited

in the nucleus and in the non-compactified shells; \ in the compactified outer domain.

Definition at line 1648 of file map.h.

## stdrdp

Coord Lorene::Map_radial::stdrdp

inherited

in the nucleus and in the non-compactified shells; \ in the compactified external domain (CED).

Definition at line 1576 of file map.h.

## xsr

Coord Lorene::Map_radial::xsr

inherited

in the nucleus; \ 1/R in the non-compactified shells; \ in the compactified outer domain.

Definition at line 1549 of file map.h.

## zaasx

Tbl Lorene::Map_et::zaasx

private

Values at the `nr` collocation points of in the outermost compactified domain.

Definition at line 2786 of file map.h.

## zaasx2

Tbl Lorene::Map_et::zaasx2

private

Values at the `nr` collocation points of in the outermost compactified domain.

Definition at line 2791 of file map.h.

The documentation for this class was generated from the following files:

- map.h
- cmp_pde_frontiere.C
- map_et.C
- map_et_adapt.C
- map_et_dalembert.C
- map_et_deriv.C
- map_et_integ.C
- map_et_lap.C
- map_et_poisson.C
- map_et_poisson2d.C
- map_et_poisson_falloff.C
- map_et_poisson_regu.C
- map_et_poisson_ylm.C
- map_et_radius.C
- map_et_resize_extr.C
- map_poisson_vect.C